مستجدات برنامج NVDA


%!includeconf: ../changes.t2tconf
%!includeconf: locale.t2tconf
= 2013.1 =
يتضمن هذا الإصدار المستجدات التالية: نمط جديد للحواسب المحمولة أسرع وأكثر توافقا, دعم أساسي لبرنامج العروض التقديمية ميكروسوفت بوربوينت، دعم الوصف التفصيلي للأشكال الرسومية بمختلف المتصفحات، ودعم إظهار ما يكتب على الأسطر الإلكترونية عبر لوحات مفاتيحها.

== هام ==

=== نمط جديد للحواسب المحمولة ===
لقد قام المطورون بإعادة تصميم نمط الحواسب المحمولة تماما كي يجعلونه أسرع وأكثر توافقا.
يستخدم النمط الجديد مفاتيح أسهم الاتجاهات مع مفتاح NVDA إضافة إلى المفاتيح المصاحبة الأخرى لأوامر الاستعراض.

يرجى ملاحظة التغيرات التالية في الاختصارات الأكثر استخداما:
|| اسم الوظيفة | المفتاح |
| قراءة كامل النص | NVDA+a |
| قراءة السطر الحالي | NVDA+l |
| قراءة الجزء المظلل من النص | NVDA+shift+s |
| قراءة شريط الحالة | NVDA+shift+end |
فضلا عن ذلك, فقد تم تغيير اختصارات الحركة حول الكائن, واستعراض النص, وأوامر نقر الفأرة ودائرة إعدادات النطق.
للمزيد, يرجى الاطلاع على [المرجع السريع لاختصارات NVDA keyCommands.html] للتعرف على الاختصارات الجديدة.


== المستجدات ==
- دعم أساسي لقراءة وتحرير العروض التقديمية ببرنامج Microsoft PowerPoint. (#501)
- دعم أساسي لقراءة وكتابة الرسائل ب Lotus Notes 8.5. 
- دعم الانتقال الآلي بين اللغات عند قراءة مستندات ميكروسوفت وورد. (#2047) 
- في نمط التصفح بتطبيقات MShtml (على سبيل المثال internet Explorer) وتطبيقات جيكو (على سبيل المثال FireFox), سيتم الأعلان عن الوصف التفصيلي للأشكال الرسومية إذا قام المصمم بوضع وصف نصي لتلك الأشكال. يمكنك أيضا فتح نافذة مستقلة لعرض هذا الوصف بالضغط على NVDA+d. (#809)
- الإعلان عن رسائل الإعلا مبإنترنت إكسبلورر 9 وما بعده (كالإعلان عن رسالة حجب محتوى ما أو رسالة تحميل ملف). (#2343)
- الإعلان آليا عن صفوف الجدول ورؤوس الأعمدة بنمط التصفح بإنترنت إكسبلورر وتطبيقات MSHTML الأخرى. (#778)
- ترجمة NVDA إلى اللغة الأرجانيزية والأيرلندية
- جداول ترجمة برايل جديدة: دانيماركي باختصارات وكوري بدون اختصارات. (#2737)
- دعم الأسطر الإلكترونية التي تتصل بالحاسوب عبر البولوتوذ وذلك على الحواسيب التي يوجد عليها البولوتوذ الخاص بنظام التشغيل ويندوز من توشيبا. (#2419)
- دعم إمكانية اختيار المنفذ عند استخدام الأسطر الإلكترونية من طراز Freedomscientific (سواء آلي, أو بولوتوذ, أو USB).
- دعم أجهزة تدوين الملاحظات (notetakers)من طراز BrailleNote , أحد منتجات شركة Humanware, وذلك عند استخدامها كشاشة برايل مع قارئ الشاشة. (#2012)
- دعم الأسطر الإلكترونية الأقدم من طراز Papenmeier BRAILLEX. (#2679)
- دعم قراءة ما يكتب على السطر الإلكتروني عبر لوحة المفاتيح الخاصة بالسطر. (#808)
- إضافة خيار جديد بإعدادات لوحة المفاتيح يتيح للمستخدم الاختيار ما بين مقاطعة Nvda للنطق أثناء كتابة الأحرف وأثناء ضغط مفتاح الإدخال أم لا. (#698)
- دعم العديد من متصفحات جوجل كروم:  Rockmelt, BlackHawk, Comodo Dragon و SRWare Iron. (#2236, #2813, #2814, #2815)
 
   
== التعديلات ==
- تحديث مترجم لبلويس برايل للإصدار 2.5.2. (#2737)
- إعادة تصميم نمط الحواسب المحمولة تماما كي يكون أسرع وأكثر توافقا. (#804)
- تحديث آلة النطق المجانية مفتوحة المصدر Espeak للإصدار 1.47.11. (#2680, #3124, #3132, #3141, #3143, #3172)


== الإصلاحات ==
- ستعمل أحرف الحركة السريعة التي تنقل بين الفاصل التالي والفاصل السابق بتطبيق InternetExplorer وتطبيقات Mshtml الأخرى. (#2781)
- إذا تراجع NVDA للعمل بآلة النطق eSpeak أو عمل في وضع عدم النطق بسبب فشل في إعداد أحد آلات النطق عند بداية تشغيله, فلم يعد يتم تحديث الإعداد ويتراجع NVDA إلى الصوت الذي كان يستخدمه من قبل, يعني ذلك أنه سيحاول العودة إلى آلة النطق الأصلية عند إعادة تشغيله في المرة التالية. (#2589)
- إذا تراجع NVDA لخيار "لا يوجد برايل" عند تشغيله نظرا لفشل السطر الإلكتروني المعد للاستخدام, فإن السطر الإلكتروني المعد سيتوقف عن العودة تلقائيا إلى خيار "لا يوجد برايل". هذا يعني أنه من الآن, سيعود السطر الإلكتروني للعمل في المرة التالية عند تشغيل NVDA. (#2264)
- في نمط التصفح بتطبيقات موزيلا, سيتم معالجة ما يستجد على الجداول من تحديث بطريقة صحيحة, فعلى سبيل المثال, سيتم قراءة مراجع الصفوف والأعمدة عند تحديث الخلايا كما أن الحركة بالجدول ستتم كما ينبغي. (#2784)
- في نمط التصفح بجميع المتصفحات, سيتم معالجة عناصر الأشكال الرسومية التي ليس لها اسم والتي يمكن النقر عليها لأداء أحد المهام بطريقة صحيحة. (#2838)
- دعم الإصدارات القديمة والحديثة من تطبيق SecureCRT. (#2800)
- سيتم الإعلان عن قائمة المقترحات التي تظهر عند الكتابة ببعض لغات شرق آسيا في ظل نظام التشغيل ويندوز XP مثل الكتابة بطريقة النقاط السهلة (easy dots).
- سيتم قراءة قائمة المقترحات التي تظهر عند الكتابة بتطبيق الصينية المبسطة Microsoft Pinyin في ظل نظام التشغيل ويندوز 7 إذا قام المستخدم بتغيير الصفحات باستخدام السهم الأيمن والأيسر وعندما يقوم المستخدمة بفتح القائمةلأول مرة بمفتاح home.
- عند حفظ المعلومات الخاصة بتعديل نطق أحد الرموز, فإنه لم يعد يتم حذف الحقل المتقدم "preserved". (#2852)
- عند تعطيل التحديث الآلي ل NVDA, فإنه لم تعد توجد ضرورة لإعادة التشغيل حتى يحدث التعطيل.
- لم يعد يخفق NVDA في بدأ التشغيل إذا لم يستطع المستخدم حذف إحدى الإضافات البرمجية نظرا لأن المجلد الذي توجد به يستخدمه تطبيق آخر. (#2860)
- سيمكن رؤية أسماء التبويبات الخاصة بتفضيلات برنامج رفع ومشاركة الملفات dropbox باستخدام الاستعراض المسطح.
- إذا تم تغيير لغة الكتابة إلى لغة أخرى غير لغة الويندوز الافتراضية, سيقوم NVDA بالتعرف على المفاتيح المضغوطة لإجراء اختصارات NVDA أو في نمط المساعدة التفاعلية بطريقة صحيحة.
- في اللغات التي تكتب بها علامة + (زائد) بمفتاح واحد على لوحة المفاتيح, أصبح من الممكن عمل مفاتيح اختصار بكتابة كلمة "plus". (#2898)
- في إنترنت إكسبلورر وتطبيقات MShtml الأخرى, سيتم الإعلان عن الاقتباسات كلما كان ذلك ممكن. (#2888)
- يمكن من الآن اختيار تعريف سلسلة السطر الإلكتروني HumanWare Brailliant BI/B إذا تم توصيله عبر البلوتوذ ولكن لم يتم توصيله أبدا من خلال USB.
- عندما يقوم المستخدم بالكتابة بالأحرف الكبيرة بمحاورة قائمة العناصر بنمط التصفح بحقل التصفية حسب, فإنه سيحصل على نتائج الروابط أو رؤوس الموضوعات أو العلامات الدليلية المكتوبة بالأحرف الكبيرة بدلا من عدم الحصول على نتائج مطلقا. (#2951)
- بمتصفحات موزيلا, يمكن استخدام نمط التصفح مرة أخرى عند تنشيط محتوى فلاش. (#2546)
- عند استخدام جدول برايل باختصارات مع تحديد مربع مد الكلمة الحالية بشفرة برايل الحاسوبية, سيتم وضع مؤشر البرايل في مكانه الصحيح إذا كان يقع بعد كلمة بها حرف يكتب بأكثر من خلية برايل (على سبيل المثال علامة الحرف الكبير, علامة الرقم, وهكذا.). (#2947)
- سيمكن من الآن رؤية النص المظلل على السطر الإلكتروني بطريقة صحيحة في تطبيقات مثل ميكروسوفت وورد 2003 ومربعات التحرير بإنترنت إكسبلورر.
- استرجاع خاصية تظليل نص في الاتجاه المعاكس بميكروسوفت وورد أثناء تفعيل البرايل.
- سيقوم NVDA بالإعلان بطريقة صحيحة عن الأحرف الغير لاتينية التي يتم استعراضها أو حزفها بمفتاح BackSpace أو Delete بتطبيقات Scintilla (#2855)
- لم يعد يخفق NVDA في التثبيت عندما يحتوي مسار الملف الشخصي للمستخدم على أحرف غير لاتينية معينة. (#2729)
- لم يعد يتسبب الإعلان عن المجموعات لعناصر القوائم (SysListview32) بتطبيقات 64 بيت في حدوث خطأ.
- في نمط التصفح بتطبيقات موزيلا, لم يعد يتم التعامل مع المحتوى النصي في بعض الحالات النادرة على أنه يمكن تحريره. (#2959)
- سيتحرك مؤشر الاستعراض وفقا لمؤشر النظام في كل من IBM Lotus Symphony و OpenOffice في المواضع التي يسمح فيها بذلك.
- أصبح محتوى أدوبي فلاش بمتصفح إنترنتإكسبلورر بويندوز 8 متوافقا مع NVDA. (#2454)
- إصلاح دعم البلوتوذ للسطر الإلكتروني Papenmeier Braillex Trio. (#2995)
- معالجة الإخفاق في استخدام أصوات معينة من محرك سابي 5 مثل أصوات Koba Speech 2 . (#2629)
- في التطبيقات التي تستخدم جسر الاتصال بجافا, سيتم تحديث الأسطر الإلكترونية بطريقة صحيحة عندما يتحرك مؤشر النظام بمربعات التحرير. (#3107)
- دعم علامات الاستمارات الدليلية بمستندات نمط التصفح التي تدعم العلامات الدليلية. (#2997) 
- أصبح تعريف آلة النطق المجانية Espeak يتعامل مع القراءة بالأحرف بطريقة أفضل (على سبيل المثال, أصبح يقرأ اسم الحرف الأجنبي وقيمته بدلا من قراءة اسمه العام وصوته فقط). (#3106)
- لم يعد يخفق NVDA في نسخ إعدادات المستخدم لاستخدامها في شاشة الدخول لويندوز والشاشات المأمنة الأخرى, وذلك إذا كان يحتوي مسار ملف إعدادات المستخدم على أحرف غير لاتينية. (#3092)
- لم يعد يصاب NVDA بالتجمد عند استخدام نمط لوحة مفاتيح أي من لغات شرق آسيا بتطبيقات .net. (#3005)
- أصبح من الممكن استخدام نمط التصفح مع الصفحات التي يتم فتحها في الوضع القياسي بإنترنت إكسبلورر 10، على سبيل المثال صفحة تسجيل الدخول على موقع gmail www.gmail.com. (#3151)


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


= الإصدار 2012.3 =
يتضمن هذا الإصدار العديد من المستجدات والتحسينات والتي من بينها: دعم كتابة أحرف اللغات الآسيوية، دعم تجريبي لشاشات اللمس بويندوز8، نطق أرقام الصفحات وتحسين دعم الجداول بأدوبي ريدر، استخدام أوامر الحركة داخل الجدول في صفوف الجدول المحددة وكائنات مربعات القوائم بويندوز، ودعم مزيد من الأسطر الإلكترونية والإعلان عن رؤوس الأعمدة والصفوف بميكروسوفت إكسل.

== المستجدات ==

- يمكن ل NVDA الآن دعم كتابة الأحرف الآسيوية باستخدام محرر الأحرف الآسيوية (IME (input method editer)) وباستخدام لغات لوحة المفاتيح بجميع التطبيقات, بما في ذلك:
 - الإعلان عن قائمة المدخلات المقترحة وإمكانية استعراض عناصرها;
 - الإعلان عن الأحرف المكتوبة واستعراضها;
 - الإعلان عن النصوص المنطوقة.
 - الإعلان عن تنسيقات تحته خط ويتوسطه خط بمستندات أدوبي ريدر. (#2410)
 - سيتم الإعلان عن رؤوس الأعمدة والصفوف آليا بميكروسوفت إكسل. اضغط NVDA+shift+c لضبط الصف الذي يحتوي على رؤوس الأعمدة و NVDA+shift+r  لضبط العمود الذي يحتوي على رؤوس الصفوف. بالضغط على أي من الاختصارين السابقين مرتين متتالتين يؤدي إلى إلغاء الإعداد. (#1519)
- عند تفعيل خاصية تثبيت مفاتيح الويندوز (windows sticky keys), فإنه سيتم تثبيت مفتاح nvda. يتيح لك ذلك استخدام مفتاح nvda دون الحاجة إلى الضغط عليه أثناء استخدامه مع مفاتيح أخرى. (#230)
- دعم الأسطر الإلكترونية HIMS Braille Sense و Braille EDGE و SyncBraille. (#1266, #1267)
- عند ظهور التنبيهات الخاطفة ورسائل المساعدة بويندوز8 سيقوم NVDA بالإعلان عنها بعد تفعيل خيار الإعلان عن الرسائل الإرشادية. (#2143)
- دعم تجريبي لشاشات اللمس بويندوز 8 ويشمل ذلك:
 - قراءة النص الذي يقع تحت إصبعك
 - اختصارات عديدة للقيام بالحركة حول الكائنات, واستعراض النص, ووظائف NVDA الأخرى.
- دعم vip mud. (#1728)
- إذا كان الجدول بأدوبي ريدر به ملخص فإن NVDA سيعلن عنه.
- سيتم الإعلان عن رؤوس الأعمدة والصفوف بالجدولبأدوبي ريدر. (#2193, #2527, #2528)
- ترجمة NVDA إلى اللغات الأمهارية والكورية والنيبالية والسلوفينية.
- من الآن سيتمكن NVDA من قراءة مقترحات التكميل التلقائي عند كتابة عناوين البريد الإلكتروني بميكروسوفت أوتلوك 2007. (#689)
- إضافة نمطين جديدين لصوت ES(#2512)peak Gene, Gene2. 
- من الآن سيتم الإعلان عن أرقام الصفحات بمستندات أدوبي ريدر. (#2534)
- سيتم الإعلان عن أسماء الصفحات حيث وجدت بريدر 11,لعكس التغير في ترقيم الصفحات بالأقسام المختلفة,  وهكذا. فبالإصدارات السابقة لم يكن ذلك ممكن حيث لم يكن يتم سوى الإعلان عن أرقام الصفحات المتسلسلة فقط.
- أصبح من الممكن استرجاع الإعدادات التي كان عليها NVDA بعد تنصيبه مباشرة وذلك إما بالضغط على NVDA+control+r ثلاث مرات متعاقبة أو باختيار عنصر استرجاع إعدادات البرنامج الافتراضية من قائمة NVDA الرئيسية. (#2086)
- دعم الأسطر الإلكترونية من طراز Seika إصدار 3,4, و5 و Seika80 من شركة Nippon Telesoft. (#2452)
- من الآن سيمكن استخدام الأزرار المقابلة لخلايا البرايل (routing keys) الأول والأخير العلوية بالأسطر الإلكترونية Freedom Scientific Pacmate و Focus للتمرير للأمام وللخلف. (#2556)
- دعم العديد من الخصائص بالأسطر الإلكترونية من طراز Freedom Scientific Focus ومنها الأشرطة المتقدمة وأشرطة الروكر ومزج بعض المفاتيح لتنفيذ الأوامر الشائعة. (#2516)
- سيمكن الإعلان من الآن عن صفوف الجدول ورؤوس الأعمدة بالتطبيقات التي تستخدم IAccessible2 كما في تطبيقات موزيلا خارج نمط التصفح. (#926)
- دعم مبكر لمستندات ميكروسوفت وورد 2013. (#2543)
- من الآن يمكن معرفة محاذاة النص بالتطبيقات التي تستخدم IAccessible2 مثل تطبيقات موزيلا. (#2612)
- عند تحديد صف بجدول أو مربع قائمة بويندوز يتكون من أعمدة متعددة, فإنه الآن يمكنك استخدام مفاتيح الحركة داخل الجدول للتحرك على خلاياه. (#828)
- إضافة جداول ترجمة برايل جديدة: إستواني بدوني اختصارات, برتغالي حاسوب برايل 8 نقاط, إيطالي حاسوب برايل 6 نقاط. (#2319, #2662)
- تم إعادة تسمية المرجع السريع للوحة المفاتيح بالمرجع السريع للاختصارات حيث أصبح يشمل اختصارات شاشات اللمس إضافة إلى اختصارات لوحة المفاتيح.
- إذا كان NVDA مثبت على الحاسوب, فإن فتح أي حزمة من الإضافات البرمجية ( مثلا من خلال مستكشف ويندوز أو بعد تحميلها من على الإنترنت) سيتم تثبيتها وإضافتها ل NVDA مباشرة. (#2306)
- دعم الأسطر الإلكترونية الحديثة من طراز Papenmeier BRAILLEX. (#1265)
- سيتم الإعلان عن المعلومات المكانية (على سبيل المثال, 1 من 4) بمستكشف ويندوز بإصدار ويندوز 7 وما بعده. (#2643)


== التعديلات ==
- تم إعادة تسمية خيار اتباع مؤشر لوحة المفاتيح بمحاورة مؤشر الاستعراض بقائمة التفضيلات إلى اتباع مؤشر النظام كي يتوافق ذلك مع المصطلح الموجود في دليل المستخدم ب NVDA.
- عند إرفاق البرايل بمؤشر الاستعراض وعندما يوجد المؤشر على كائن غير نصي كمربع تحرير مثلا, ستعمل مفاتيح المقابلة لخلايا البرايل على تفعيله. (#2386)
- عند تحديث نسخة من NVDA مثبتة من قبل, فإن المستخدم إذا قام بتغيير مفتاح الاختصار المنوط بتشغيله يدويا فلم يعود مفتاح الاختصار إلى المفتاح الافتراضي control+alt+n. (#2572)
- سيتم ذكر اسم الإضافة البرمجية قبل حالتها في قائمة الإضافات البرمجية بمدير الإضافات. (#2548)
- إذا قمت بتثبيت نفس نسخة الإضافة البرمجية المثبتة حاليا أو إصدار آخر منها, سيسألك NVDA عما إذا كنت تود حذف الإضافة البرمجية القديمة أولا بدلا من إظهار خطأ وإخفاق عملية التثبيت. (#2501)
- ستعلن مفاتيح الحركة حول الكائن (ما عدا مفتاح الإعلان عن الكائن الحالي) عن المعلومات بشكل مختصر. ومع ذلك يمكنك الحصول على المعلومات الإضافية باستخدام مفتاح الإعلان عن الكائن الحالي. (#2560)
- تحديث مترجم لبلويس برايل إلى الإصدار 2.5.1. (#2319, #2480, #2662, 
- من الآن ستتذكر قائمة العناصر بنمط التصفح آخر نوع من العناصر قام المستخدم باختياره (على سبيل المثال, روابط, أو رؤوس موضوعات أو علامات دليلية) وذلك كل مرة يتم فيها فتح هذه المحاورة ب NVDA قبل إغلاقه. (#365)
- لم تعد تقوم تطبيقات مترو بويندوز8 (على سبيل المثال, Mail, Calendar) بتنشيط نمط التصفح للتطبيق بأكمله.
- تحديث تعريف البرايل الخاص ب Com-server للسطر الإلكتروني هانديتيك إلى الإصدار 1.4.2.0.


== الإصلاحات ==
- في ويندوز فيستا وما بعدها لم يعد يتعامل NVDA مع مفتاح ويندوز على أنه مضغوط عليه عند ضغط windows+l ثم العودة مرة أخرى. (1856)
- من الآن سيتم التعرف في أدوبي ريدر على رءوس الصف كخلايا جدول, وذلك يعني أنه سيتم الإعلان عن مراجع الخلايا وسيمكن الوصول إليها باستخدام مفاتيح الحركة داخل الجدول. (#2444)
- من الآن سيتم التعامل مع خلايا الجدول التي تمتد لأكثر من عمود أو صف بأدوبي ريدر بطريقة صحيحة. (#2437, #2438)
- ستقوم نسخة NVDA من الآن بفحص ما إذا كان الملف مكتمل قبل البدأ في التنصيب. (#2475)
- ستتم إزالة ملفات NVDA المؤقتة التي لم تكتمل أثناء التحديث. (#2477)
- لم يعد يتجمد NVDA أثناء تشغيله كمدير عند نسخ إعدادات المستخدم إلى إعدادات النظام (وذلك لاستخدامها في شاشة الدخول لويندوز والشاشات المأمنة الأخرى). (#2485)
- تمثيل أفضل للأيقونات بشاشة البداية لويندوز 8 بالصوت وبطريقة برايل. فلم يعد يتم تكرار اسم الأيقونة, ولم تعد كلمة "غير مظلل" "unselected" تسبق كل أيقونة, ومعلومات الحالة الحية ستعد بمثابة وصف للأيقونة (كأن تكون درجة الحرارة الحالية وصف لأيقونة الطقس).
- لم يعد يتم الإعلان عن الأحرف أو الأرقام الفعلية لكلمات المرور عند قراءة حقول كتابة كلمات المرور بميكروسوفت أوتلوك ومربعات التحرير القياسية الأخرى المحمية. (#2021)
- في أدوبي ريدر سيتم الانتقال بطريقة صحيحة إلى النمط التفاعلي بنمط التصفح. (#2529)
- تحسين التعامل مع المدقق الإملائي بميكروسوفت وورد, وذلك بالقراءة الدقيقة للخطأ الهجائي الحالي, وإمكانية دعم المدقق الإملائي عند تشغيل نسخة NVDA على ويندوز فيستا أو ما بعدها.
- سيتم تنصيب الإضافات البرمجية التي تحتوي على ملفات أسماؤها مكتوبة بأحرف غير إنجليزية بطريقة صحيحة في كثير من الأحوال. (#2505)
- معالجة مشكلة فقدان لغة النص بأدوبي ريدر عند تحديثه أو التمرير إليه. (#2544)
- عند تثبيت أي من الإضافات البرمجية, ستقوم محاورة التأكيد بالإعلان عن الاسم غير الإنجليزي بطريقة صحيحة إذا كان مؤلف الإضافة كتبه بلغة غير الإنجليزية. (#2422)
- في التطبيقات التي تستخدم UI Automation (مثل تطبيقات .net و Silverlight) تم تصحيح حسابات القيم الرقمية للكئانات كأشرطة السحب. (#2417)
- من الآن سيمكن للمستخدم تعديل طريقة الإعلان عن أشرطة التقدم الغير محددة ب NVDA وذلك كشريط التقدم الذي يظهر عند تثبيته أو عند إنشاء نسخة محمولة منه وهكذا. (#2574)
- لم يعد يمكن لمستخدم السطر الإلكتروني تنفيذ أوامر NVDA أثناء تنشيط إحدى شاشات ويندوز المأمنة (كشاشة القفل). (#2449)
- إذا تم تحديث النص المعروض بنمط التصفح فإن ذلك سيظهر على شاشات الأسطر الإلكترونية. (#2074)
- إذا تم تفعيل وضع الصمت, فإن الرسائل التي يتحدث بها التطبيق أو يعرضها على السطر الإلكتروني سيتم تجاهلها.
- لم يعد من الممكن الوصول إلى نهاية المستند بنمط التصفح بالسهم الأيمن عندما تكون بالحرف الأخير, أو عند القفز إلى آخر كائن يحتوي عليه آخر عنصر بالمستند. (#2463)
- عند وجودك بإحدى شاشات ويندوز المأمنة كشاشة القفل, سيتم تجاهل الرسائل التي تصدرها التطبيقات ذاتية الصوت أو تعرض على السطر الإلكتروني عبر NVDA. (#2578)
- لم يعد يعلن NVDA عن نصوص غريبة عند قراءة نصوص محاورات تطبيقات الإنترنت. (#2390)
- سيتجنب NVDA الخطأ في الإعلان عن بعض مربعات التحرير أو تحديدها بمستندات mshtml (مثل إنترنت إكسبلورر). (#2390)
- التعامل مع مفتاح backspace بطريقة صحيحة عند تفعيل نمط نطق الكلمات المكتوبة بتطبيق الأوامر النصية بويندوز. (#2586)
- عودة ظهور مراجع الخلايا بميكروسوفت إكسل على شاشة السطر الإلكتروني.
- في ميكروسوفت وورد, سيمكن للمستخدم التحرك داخل الفقرات التي تحتوي على قوائم والانتقال خارج التنقيط أو الترقيم باستخدام left arrow أو control + left arrow. (#2402)
- في نمط التصفح بتطبيقات موزيلا, سيتم إظهار العناصر بشكل صحيح ببعض مربعات القوائم.
- في نمط التصفح بتطبيقات موزيلا, سيتم تصحيح أسماء بعض الكائنات التي كانت تقدم بأسماء خاطئة أو تقدم على أنها مسافات.
- في نمط التصفح بتطبيقات موزيلا, سيتم القضاء على بعض المسافات الغريبة.
- في نمط التصفح بمتصفحات الإنترنت, سيتم من الآن تجاهل الأشكال الرسومية التي يتم تعليمها بوضوح على أنها تقديمية (وبخاصة تلك الكائنات التي تأخذ خاصية alt="") بطريقة صحيحة.
- سيقوم NVDA بإخفاء المحتوى الذي جعله مصمم الموقع مخفي لقارآت الشاشة وذلك بمختلف متصفحات الإنترنت. (#2117)
- الإعلان عن أرقام العملات السالبة بطريقة صحيحة (كما في رقم-$123). (#2625)
- توقف NVDA عن العودة للغة الافتراضية أثناء قراءة كامل النص وذلك عندما لا ينتهي السطر بنهاية الجملة. (#2630)
- الإعلان عن معلومات حجم الخط وخصائصه بطريقة صحيحة بأدوبي ريدر 10.1 وما بعده. (#2175)
- إذا كان يوجد نص بديل عن الصور بمستندات أدوبي ريدر, فسيقوم NVDA بالإعلان فقط عنها, حيث كان من قبل 
- إذا كانت تحتوي صفحة الإنترنت على تطبيق, فإنه لم يعد يتم التفاعل مع محتوى هذا التطبيق في نمط التصفح مما يؤدي إلى عدم إمكانية الحركة داخل التطبيق أثناء قراءة الصفحة. يمكنك التفاعل مع التطبيق الموجود بنفس الطريقة التي يتم التفاعل بها مع الكائنات المدرجة. (#990)
- سيتم الإعلان عن التغير في أزرار القيم الرقمية (spin buttons) بتطبيقات موزيلا. (#2653)
- تحديث دعم نسخ أدوبي الرقمية للعمل مع الإصدار 2.0. (#2688)
- لم يعد يؤدي ضغط مفتاحي NVDA+upArrow أثناء وجود المستخدم بأحد صناديق الخيارات بإنترنت إكسبلورر وتطبيقات MShtml الأخرى إلى قراءة كل العناصر, بل سيقرأ العنصر النشط فقط. (#2337)
- ستقوم المعاجم الصوتية من الآن بالحفظ بطريقة صحيحة إذا قام المستخدم بوضع # (علامة الرقم) بمربعات الكلمة الأصلية والكلمة البديلة. (#961)
- من الآن سيتمكن نمط التصفح بمستندات MSHTML (على سبيل المثال, إنترنت إكسبلورر) من عرض المحتوى الذي جعله مصمم الصفحة ظاهر ولكنه يوجد بداخل محتوى مخفي بطريقة صحيحة. (#2097)
- توقف الإعلان عن نصوص زائدة بعد أسماء الروابط بمركز الأمان بويندوز إكسبي بلوحة التحكم. (#1331)
- سيتم الإعلان بطريقة صحيحة عن الكائنات النصية ل UI automation (على سبيل المثال مربع البحث بقائمة ابدأ بويندوز 7) وذلك عند تحريك الفأرة عليهم بدلا من بقاء NVDA صامت. 
- توقف الإعلان عن التغير في نمط لوحة المفاتيح أثناء استخدام أمر القراءة المستمرة, والذي كان يسبب مشكلات بالمستندات متعددة اللغات بما في ذلك النصوص العربية. (#1676)
- لم يعد يتم الإعلان عن المحتوى الكامل لبعض مربعات التحرير ب ui automation (كمربع البحث بقائمة ابدأ بويندوز 7/8) كل مرة يتغير فيها.
- عند الحركة بين المجموعات بشاشة البدأ بويندوز8, فإن المجموعات التي ليس لها مسمى لم تعد تذكر اسم أول عنصر بها على أنه اسم المجموعة. (#2658)
- سيتم تنشيط أول عنصر بقائمة البدأ بويندوز 8 عند فتحها وذلك بدلا من القفز إلى آخر عنصر بها والذي ربما يتسبب في حدوث تشتت في الحركة. (#2720)
- توقف الإخفاق في بدأ تشغيل NVDA إذا كان يحتوي ملف المستخدم على أحرف multibyte معينة.(#2729)
- من الآن سيتم معالجة نص الصفحات بطريقة صحيحة بنمط التصفح للمتصفح جوجل كروم.
- سيتم الإعلان بطريقة صحيحة عن أزرار القائمة بنمط التصفح.
- سيتم قراءة الخلايا بأوراق عمل برنامج OpenOffice.org/LibreOffice Calc بطريقة صحيحة. (#2765)
- عودة عمل قراءة قائمة الرسائل بياهو مايل إذا تم فتحها بمتصفح إنترنت إكسبلورر. (#2780)


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


= الإصدار 2012.2.1 =
يتضمن هذا الإصدار معالجة العديد من المشكلات الأمنية (عن طريق ترقية برنامج لغة python للإصدار 2.7.3).


=الإصدار 2012.2 =
يتضمن هذا الإصدار العديد من المستجدات التي من بينها: خاصية دمج النسخة المثبتة والمحمولة في ملف واحد، إمكانية تحديث NVDA آليا، سهولة إدارة الإضافات البرمجية الجديدة، الإعلان عن الأشكال الرسومية بمستندات ميكروسوفت وورد، دعم نمط تطبيقات مترو بويندوز8، والعديد من الإصلاحات البرمجية الهامة.

== المستجدات ==
- سيمكن لمستخدمي nvda تحديثه بطريقة آلية. (#73)
- أصبح أمر تعديل أو إضافة وظائف ل NVDA أكثر مرونة وذلك بإضافة خيار مدير الإضافات البرمجية (الموجود بقائمة أدوات بقائمة NVDA الرئيسية) والذي يتيح إمكانية تثبيت أو حذف حزم الإضافات البرمجية الجديدة (ستكون هذه الملفات بامتداد .nvda-addon) والتي تحتوي على ملحقات برمجية أو تعريفات. يرجى الملاحظة أن مدير الإضافات البرمجية لا يظهر الملحقات البرمجية ولا التعريفات القديمة التي قمت بنسخها يدويا إلى مجلد إعدادات المستخدم. (#213)
- من الآن ستعمل معظم الخصائص التي يتميز بها nvda في نمط تطبيقات مترو (metro apps style) بويندوز 8وذلك عند استخدام النسخة المثبتة فقط حيث أن النسخة المحمولة من nvda لا تتعامل مع هذا النمط. ومن هذه الخصائص, الإعلان عن الأحرف المكتوبة ونمط التصفح لمستندات الإنترنت (دعم إصدار مترو من إنترنت إكسبلورر 10)(#1801)
- يمكنك الآن القفز إلى بداية بعض الكائنات التي تحتوي على عناصر (كالقوائم والجداول) وتخطيها بمستندات نمط التصفح (إنترنت إكسبلورر وفير فوكس وهكذا) وذلك من خلال الضغط على shift+, و , في لوحة المفاتيح على التوالي. (#123)
- ترجمة nvda للغة اليونانية.
- من الآن سيتمكن nvda من الإعلان عن وجود أشكال رسومية والبديل النصي لها إذا كان موجود بمستندات ميكروسوفت وورد. (#2282, #1541)


== التعديلات ==
- أصبح الإعلان عن مراجع الخلايا بميكروسوفت إكسل يأتي بعد قراءة محتوى الخلايا وليس قبلها ولا يتم ذلك إلا بعد تفعيل الإعلان عن الجداول والإعلان عن مراجع الخلايا بالجدول بمحاورة إعدادات تنسيق المستندات. (#320)
- من الآن سيتم توزيع nvda في حزمة واحدة. بدلا من توزيعه في نسختين أحداهما مثبتة والأخرى محمولة, فالآن يوجد ملف واحد فقط عند الضغط عليه سيبدأ في تشغيل نسخة مؤقتة والتي ستمكنك من تثبيت البرنامج أو إنشاء نسخة محمولة منه. (#1715)
- من الآن سيتم تنصيب nvda داخل مجلد Program Files بمختلف أنظمة تشغيل ويندوز. وعند تحديث نسخة مسبقة سيتم نقله إلى نفس المجلد إذا لم يكن قد تم تثبيته هناك من قبل.


== الإصلاحات ==
- إذا تم تفعيل خيار الانتقال الآلي بين اللغات في تطبيقات موزيلا جيكو (مثل فيرفوكس) فإن المحتويات كالنصوص البديلة عن الأشكال وأسماء بعض الكائنات ستنطق بلغة واجهة nvda وذلك إذا تم وضع علامات توضح لغتهم.
- معالجة توقف أمر قراءة كامل النص بمنتصف القطعة ب BibleSeeker (وتطبيقات تحرير النصوص الغنية الأخرى).
- من الآن سيتم قراءة القوائم الموجودة بخصائص ملف مستكشف ويندوز 8 (تبويب التصريحات) (permissions tab) والقوائم الموجودة بتحديث ويندوز 8 بطريقة صحيحة.
- معالجة الجمود الذي يصيب nvda مع مستندات ميكروسوفت وورد نتيجة لاستغراق إحضار نص من مستند ثانيتين (كما في الأسطر الطويلة جدا أو جداول المحتويات). (#2191)
- أصبح من الممكن التعرف على الفاواصل بين الكلمات عند اتباع المسافات بعلامة ترقيم معينة. (#1656)
- في نمط التصفح بأدوبي ريدر أصبح من الممكن القفز إلى رؤوس الموضوعات باستخدام أحرف الحركة السريعة وقائمة العناصر. (#2181)
- سيتم من الآن تحديث البرايل بالمعلومات الصحيحة إذا تم تغير الملف المشغل بمحرر قائمة الملفات المشغلة (playlist edditor) بوينامب (#1912)
- تم تعديل حجم الشجرة الموجودة بقائمة العناصر (والمتاحة في مستندات نمط التصفح) لرؤية النص المصاحب لكل عنصر بوضوح. (#2276)
- في التطبيقات التي تستخدم  جسر الاتصال بجافا (Java Access Bridge) سيتم تمثيل حقول تحرير النصوص بطريقة صحيحة على شاشات الأسطر الإلكترونية. (#2284)
- في التطبيقات التي تستخدم  جسر الاتصال بجافا (Java Access Bridge) لم تعد تظهر حقول تحرير النصوص أحرف غريبة في بعض الأحيان. (#1892)
- في التطبيقات التي تستخدم  جسر الاتصال بجافا (Java Access Bridge) ستتمكن من قراءة السطر الحالي بطريقة صحيحة إذا كنت بنهاية أحد حقول تحرير النصوص. (#1892)
- في نمط التصفح بالتطبيقات التي تستخدم موزيلا جيكو 14 وما بعدها (على سبيل المثال فيرفوكس 14) ستعمل أحرف الحركة السريعة في الانتقال بين فقرات الاقتباس والكائنات المدرجة. (#2287)
- معالجة مشكلة قراءة NVDA لمحتوى عشوائي أو غير مرغوب به بإنترنت إكسبلورر9 عند تحرك مؤشر الحاسوب داخل علامات دليلية معينة أو بعض العناصر النشطة (بخاصة كائن "div" -والذي يستعين به مصممو المواقع كي يتيح لهم تجميع عناصر معينة وإعطائها صفات خاصة بها- عند تنشيطه أو إعطائه صفة العلامة الدليلية).
- من الآن سيتم عرض أيقونة nvda لاختصارات سطح المكتب وقائمة ابدأ بطريقة صحيحة في نسخ الويندوز من طراز 64 بيت. (#354)


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


=الإصدار 2012.1 =
يتضمن هذا الإصدار خصائص لقراءة أفضل وأسرع عند استخدام الأسطر الإلكترونية، توضيح لتنسيقات المستندات في البرايل، سهولة التعرف على معلومات تنسيق المستندات بميكروسوفت وورد وتحسين العمل معه، ودعم لمخزن  iTunes.

== المستجدات ==
- إمكانية الإعلان عن مدى إزاحة السطر الحالي   بالإعلان عن عدد  المسافات وضغطات مفتاح الانتقال  وفق لترتيب إدخالها. ويمكن تفعيل  هذه الخاصية من خلال تحديد خيار الإعلان عن إزاحة السطر بمحاورة تنسيق المستندات. (#373)
- إمكانية تعرف nvda على ضغطات المفاتيح التي تتم بالبدائل المحاكية  لوحات المفاتيح مثل لوحات المفاتيح على الشاشة كما في ويندوز (on-screen keyboards) أو برامج التعرف على الصوت (speech recognition software).
- إمكانية التعرف على الألوان بتطبيقات الأوامر النصية بويندوز.
- توضيح  ما إذا كان النص  عريض أو مائل أو تحته خط في البرايل باستخدام الإشارات المتوافقة مع جدول الترجمة المحدد. (#538) 
- سيتم الإعلان عن مزيد من المعلومات بمستندات ميكروسوفت وورد, بما في ذلك:
 - الإعلان عن أرقام الحواشي السفلية والملاحظات النهائية, مستويات رؤوس الموضوعات, وجود تعليقات, الجداول, الروابط, ولون النص،
  - الإعلان عن الدخول في أحد أقسام المستند مثل الإعلان عن نص التعليقات, نصوص الحواشي السفلية والملاحظات النهائية, ونصوص رؤوس وتذييل الصفحات.
- يمكن لمستخدمي البرايل معرفة ما إذا كان النص مظلل من عدمه باستخدام النقاط 7 و 8.(#889)
- توضيح البرايل لأنواع الكائنات داخل المستندات كالروابط والأزرار ورؤوس الموضوعات.(#202)
- دعم الأسطر الإلكترونية المحمولة hedo ProfiLine و MobilLine. (#1863, #1897)
- سيتجنب nvda تقسيم الكلمات الموجودة بآخر الأسطر في البرايل كلما كان ذلك ممكنا. (#1890)
- إمكانية القراءة بالفقرة بدلا من السطر في البرايل مما يتيح قراءة متتابعة للنصوص. ويمكن تفعيل هذه الخاصية بتحديد خيار القراءة بالفقرات بمحاورة إعدادات الخط البارز. (#1891)
- في نمط التصفح يمكن لمستخدمي البرايل تفعيل الكائن الذي يندرج تحته المؤشر بالضغط على مفتاح تفعيل خلية البرايل (cursor routing key) في مكان وجود المؤشر. (مما يعني ضغط هذا المفتاح مرتين إذا لم يكن المؤشر موجود بالفعل على الكائن المراد تنشيطه). (#1893)
- سيتم تغيير صفحات الكتب المفتوحة في تطبيق Adobe Digital Editions الإصدار 1.8.1 وما بعده آليا عند استخدام أمر قراءة كامل النص. (#1978)
- دعم أساسي لمناطق الويب بتطبيق iTunes كدعم المخزن (the store). وربما يؤدي ذلك إلى دعم التطبيقات الأخرى التي تستخدم WebKit 1. (#734)
- إضافة جداول ترجمة برايل جديدة: برتغالي باختصارات, أيسلندي برايل حاسوب 8 نقاط, تاميل بدون اختصاراتإسباني حاسوب برايل 8 نقاط وفارسي بدون اختصارات. (#2014)
 - أصبح من الممكن تشغيل أو تعطيل الإعلان عن الإطارات من خلال محاورة تنسيق المستندات بقائمة التفضيلات. (#1900)
- سيعمل nvda في وضع الصمت عند تشغيل برنامج OpenBook. (#1209)
- يمكن للمترجمين الذين يستخدمون برنامج Poedit قراءة التعليقات التي تم إضافتها والتعليقات المستخلصة آليا كما سيتمكنوا من معرفة الرسائل الغامضة أو التي لم يتم ترجمتها حيث تم إضافة نجمة كعلامة عليها كما سيسمع مستخدم البرنامج صوت صفير عند الوقوف عليها. (#1811)
- دعم سلاسل الأسطر الإلكترونية HumanWare Brailliant BI و HumanWare Brailliant B. (#1990)
- ترجمة nvda إلى لغة نرويجي Bokmål.


== التعديلات ==
- ستقوم أوامر وصف الحرف الحالي أو هجاء الكلمة الحالية أو السطر الحالي بالهجاء وفقا للغة النص ولكن شريطة تفعيل خيار الإعلان الآلي عن اللغات وتوافر المعلومات الملائمة حول لغة النص.
- تحديث آلة النطق مفتوحة المصدر Espeak للإصدار 1.46.02.
- من الآن سيقوم nvda بتجنب الأسماء الطويلة جدا (التي يبلغ عدد أحرفها 30 حرف أو أكثر) المتوقعة من الأشكال الرسومية وعناوين الروابط حيث كان وجودها يتسبب في القراءة بشكل غير صحيح. (#1989)
- وضع اختصارات لبعض المعلومات التي يتم عرضها على الأسطر الإلكترونية. (#1955, #2043)
- عند تحريك مؤشر التحرير أو مؤشر الاستعراض سيتم تمرير البرايل بنفس الطريقة كما لو كان يتم تمريره يدويا وهذا أكثر ملاءمة إذا قام المستخدم بتفعيل خيار القراءة بالفقرات أو تفعيل خيار تجنب تقسيم الكلمات. (#1996)
- تحديث جدول ترجمة البرايل الإسباني بدون اختصارات.
- تحديث إصدار مترجم liblouis braille إلى الإصدار رقم 2.4.1.


== الإصلاحات ==
- في ويندوز8 لم يعد يقوم المؤشر بالتحرك بعيد عن حقل البحث بمستكشف ويندوز مما كان يؤدي إلى عدم إمكانية تفاعل nvda معه.
- تحسينات هامة عند قراءة أو التجول بمستندات ميكروسوفت وورد وذلك يتطلب تفعيل الإعلان الآلي عن التنسيق مما يسهل من عملية القراءة الصامتة للتنسيقا. وربما يتم إضافة تحسينات أخرى لبعض المستخدمين.
- سيتم استخدام نمط التصفح بملء الشاشة لمحتوى أدوبي فلاش (Adobe Flash).
- معالجة سوء الجودة في بعض الأحيان عند استخدام أصوات Microsoft Speech API الإصدار  5 مع إعداد مخرج الصوت في وضع غير الوضع الافتراضي (Microsoft Sound Mapper). (#749)
- إعادة تشغيل nvda مع آلة النطق "no speach" لمن يعتمد بشكل كامل على البرايل أو للمبصرين الذين يعتمدون على عارض النطق. (#1963)
- توقف الإعلان عن  رسائل   "لا يوجد كائن فرعي" و "لا يوجد كائن رئيسي" بأوامر التنقل حول الكائن بل سيتم استبدالها برسائل  تتوافق مع ملفات المساعدة.
- سيتم الإعلان عن اسم مفتاح tab بلغة واجهة nvda وليس بالإنجليزية.
- لم يعد ينتقل nvda بشكل متقطع إلى نمط التصفح بموزيلا جيكو (مثل FireFox) عند التحرك بين القوائم بصفحات الإنترنت. (#2025)
- في الآلة الحاسبة سيقوم مفتاح backspace بالإعلان عن ما يتم حذفه.(#2030)
- سيقوم أمر تحريك مؤشر الفأرة إلى الكائن الحالي بوضع المؤشر في وسط الكائن الذي يوجد عليه مؤشر الاستعراض بدلا من وضعه في أقصى اليساربنمط التصفح, مما يزيد من دقة التنفيذ. (#2029)
- عند التشغيل التلقائي للنمط التفاعلي مع حركة مؤشر الحاسوب بنمط التصفح وأثناء تنشيط أحد أشرطة الأدوات, سيقوم nvda بالانتقال إلى النمط التفاعلي. (#1339)
- سيعود الاختصار المنوط بقراءة العنوان للعمل مرة أخرى بطريقة صحيحة ببرنامج أدوبي ريدر .
- عند التشغيل التلقائي للنمط التفاعلي مع حركة مؤشر الحاسوب سيستخدم النمط التفاعلي بطريقة صحيحة في خلايا الجدول النشطة، مثال ذلك خلايا شبكات ARIA. (#1763)
- سيتم الإعلان عن المعلومات المكانية لبعض القوائم ب  iTunes بطريقة صحيحة.
- لم يعد يتم التعامل مع بعض الروابط ببرنامج أدوبي ريدر على أنها تحتوي على حقول استمارية للقراءة فقط.
- لم يعد يعلن nvda بطريقة خاطئة عن أسماء بعض الحقول الاستمارية أثناء قراءة المحاورات. (#1960)
- استرجاع خاصية الإعلان عن وصف مجموعات الاختيار عند تفعيل خيار الإعلان عن وصف الكائنات.
- سيتضمن نص محاورة خصائص محرك الأقراص بمستكشف ويندوز الأحجام البشرية المقروءة.
- تقليص تكرار نص صفحة الخصائص في بعض الأحوال. 
- تحسين تتبع حركة مؤشر التحرير بالحقول النصية التي تعتمد على النصوص المكتوبة على الشاشة مما سيؤدي إلى تحسين في تحرير الخلايا بميكروسوفت إكسل وتحسين تحرير الرسائل بمحرر الرسائل يودورا. (#1658)
- في فيرفوكس 11 سيقوم الأمر المنوط بالتحرك داخل العنصر الذي يحويه نمط التصفح (nvda+ctrl+space) بالخروج من الكائنات المدرجة ومحتويات الفلاش.
- سيقوم nvda بإعادة التشغيل ذاتيا بطريقة صحيحة (مثلا عند تغيير لغة واجهته) وذلك إذا كان المجلد الذي يوجد به يحتوي على أحرف ليس لها مكافئ رقمي (non-ascii characters). (#2079)
- عند استخدام البرايل سيتم عرض إعدادات الإعلان عن اختصار الكائنات والإعلان عن موضع الكائنات والإعلان عن وصفها حسب ترتيبها في المحاورة.
- معالجة مشكلة بطء التنقل ما بين النمط التفاعلي ونمط التصفح بتطبيقات موزيلا عند تفعيل البرايل. (#2095)
- من الآن سيعمل نقل مؤشر البرايل إلى مسافة بنهاية السطر أو الفقرة باستخدام مفاتيح نقل المؤشر إلى خلية البرايل في بعض مربعات التحريربطريقة صحيحة بدلا منتحريك المؤشر إلى بداية النص. (#2096)
- سيعمل nvda بطريقة صحيحة مرة أخرى مع آلة النطق Audiologic Tts3 (#2109)
- سيتم التعامل مع مستندات ميكروسوفت وورد على أنها متعددة الأسطر حيث أن ذلك سيؤدي إلى سيعدل من تعامل الخط البارز معها عند تنشيطها.
- في إنترنت إكسبلورر, لم تعد تظهر الأخطاء التي كانت تنتج عند تنشيط بعض الكائنات النادرة. (#2121)
- عند قيام المستخدم بتغيير نطق الرموز وعلامات الترقيم سيمكنه رؤية النتائج مباشرة دون الحاجة إلى  إعادة تشغيل nvda أو تعطيل خيار الانتقال الآلي بين اللغات.


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


= الإصدار 2011.3 =
يتضمن هذا الإصدار العديد من التحسينات التي تشمل التنقل الآلي بين اللغات عند قراءة المستندات بشرط احتوائها على إشارات واضحة على اختلاف اللغات، دعم بيئات التنفيذبجسر الاتصال بجافا من طراز 64 بيت، الإعلان عن التنسيق بنمط التصفح بتطبيقات موزيلا جيكو، معالجة أفضل للتوقف والتجمد الذي يصيب البرنامج، فضلا عن بعض الإصلاحات البدائية مع ويندوز 8.

== المستجدات ==
- من الآن يمكن ل nvda تغيير لغة آلة النطق espeak آليا فور مروره على لغات مختلفة  للمستندات متعددة اللغات وذلك عند قراءة بعض مستندات pdf والإنترنت إذا توافرت إشارات واضحة للدلالة على اختلاف اللغة. حيث يمكن تشغيل أو تعطيل التغيير الآلي للغات أو التغيير الآلي للهجات من خلال محاورة إعدادات الصوت. (#845) 
- دعم الإصدار 2.0.2 من جسر الاتصال بجافا ويشمل ذلك دعم بيئات التنفيذ  بجافا من طراز 64 بيت.
- سيتم الإعلان عن مستويات رؤوس الموضوعات عند استخدام خاصية الحركة حول الكائن في تطبيقات موزيلا جيكو (على سبيل المثال برنامج Firefox).
- من الآن سيتمكن nvda من الإعلان عن تنسيق النصوص بنمط التصفح بتطبيقات موزيلا جيكو (كما في Firefox و Thunderbird). (#394)
- سيتم من الآن الإعلان عما إذا كان النص تحته خط أو يتوسطه خط بتطبيقات IAccessible2 القياسية النصية وذلك كما في تطبيقات موزيلا.
- في نمط التصفح بأدوبي ريدر سيتم الإعلان عن أعداد الأعمدة والصفوف بالجداول.
- دعم أصوات Microsoft Speech Platform. (#1735)
- الإعلان عن أرقام الأسطر والصفحات عند استخدام مؤشر الحركة ب IBM Lotus Symphony. (#1632)
- يمكن إعداد مستوى حدة الصوت التي ينبغي أن ينطق بها nvda عند رؤيته للأحرف الكبيرة من خلال محاورة أعدادات الصوت, لكن يجب الأخذ في الاعتبار أن هذا الخيار سيحل محل مربع التحديد المنوط برفع حدة الصوت عند الأحرف الكبيرة لذا فإذا كنت ترغب في إلغاء هذه الخاصية يمكنك وضع النسبة المئوية لهذا الخيار إلى المستوى 0. (#255)
- الآن سيتم الإعلان عن لون النص ولون الخلفية للخلايا عند قراءة التنسيق بميكروسوفت إكسل. (#1655)
- سيتمتنفيذ أمر تفعيل الكائن الحالي في التطبيقات التي تستخدم جسر الاتصال بجافا. (#1744)
- ترجمة nvda للغة تامل.
- دعم أساسي لتطبيق Design Science MathPlayer.
- سيقوم nvda من الآن بإعادة تشغيل نفسه ذاتيا عند توقفه.
- وضع أحرف مختصرة للتعبير عن بعض المعلومات على شاشة السطر الإلكتروني. (#1288)
- تطوير أمر قراءة النافذة النشطة (nvda+b) بحيث تم إزالة الكائنات الغير مفيدة كما أصبح من السهل توقف نطقه. (#1499)
- أصبح أمر القراءة الآلية لكامل صفحة الإنترنت فور تحميلها اختياري وذلك من خلال إعداد تم وضعه بمحاورة  إعدادات نمط التصفح. (#414)  
- عند محاولة قراءة شريط الحالة (بالضغط على NVDA+end بنمط لوحة مفاتيح الحاسوب المكتبي) سيلجأ nvda إلى قراءة آخر سطر مكتوب على شاشة التطبيق النشط إذا لم يتمكن من رؤية الكائن الحقيقي لشريط الحالة. (#649)
- عند قراءة كامل النص بنمط التصفح فإن nvda سيتوقف مؤقتا عند نهاية رؤوس الموضوعات أو الفقرات أو الاقتباسات بدلا من قراءة النص بكامله مرة واحدة.
- عند الضغط على أي تبويب بنمط التصفح فسيتم تنشيطه بدلا من الانتقال إلى النمط التفاعلي. (#1760)
- تحديث آلة النطق مفتوحة المصدر Espeak إلى الإصدار رقم 1.45.47.


== الإصلاحات ==
- لم يعد يقوم nvda بإظهار تنقيط أو ترقيم للقوائم التي لم يقم المصمم بترقيمها أو تنقيطها وذلك بإنترنت إكسبلورر وتطبيقات MSHTML الأخرى. (#1671)
- معالجة المشكلات التي كانت تنتج في بعض الأحيان عن ضغط مفتاح backSpace أو مفاتيح الأسهم بتطبيق الأوامر النصية بويندوز(#1612).
- إذا ما قمنا بإعادة تشغيل nvda عند توقفه (وذلك بالضغط على alt+control+N مثلا) فلم يتم تعطيل النسخة السابقة إلا بعد تشغيل نسخة جديدة.
- سيتم الإعلان بطريقة صحيحة عن العنصر المختار في مربعات الخيارات التي لا تسمح بالكتابة داخلها.
- في نمط التصفح بأدوبي ريدر وأثناء وجود المستخدم داخل جدول فسيمكنه استخدام مفاتيح الحركة داخل الجدول للتحرك إلى الصف التالي أو السابق بداية من أول صف. كما لم يعد يتم الإعلان عن أول صف كصف رقم 0. (#1731)
- في نمط التصفح بأدوبي ريدر يمكن الحركة من وإلى الخلايا الفارغة بالجدول.
- لم يعد يتم الإعلان عن المعلومات المكانية عديمة الفائدة على السطر الإلكتروني (على سبيل المثال 0 من 0 المستوى 0).
- عند اتباع السطر الإلكتروني لمؤشر الاستعراض فسيمكن رؤية محتوى الاستعراض المسطح. (#1711)
- حل مشكلة ظهور النصوص مرتين على السطر الإلكتروني والتي كانت تحدث أحيانا على سبيل المثال عند تمرير السطر الإلكتروني للخلف من بداية مستند ببرنامج wordpad.
- عند الضغط على زر رفع ملف (upload button) بنمط التصفح بإنترنت إكسبلورر ستظهر محاورة اختيار رفع الملفات بدلا من الانتقال إلى النمط التفاعلي. (#1720)
- لم يعد يتم الإعلان عن التغير في المحتوى آليا عند تشغيل وضع الصمت لأحد التطبيقات كتطبيقات الأوامر النصية. (1662)
- في نمط التصفح تم تحسين عمل مفاتيح الاختصار alt+upArrow و alt+downArrow والتي تستخدم لفتح وإغلاق مربعات الخيارات. (#1630)
- حل مشكلات التوقف الذي كان يصيب nvda في مواقف مختلفة كالتوقف الكامل الذي كان يصيبه عند عدم استجابة أحد التطبيقات. (#1408)
- في نمط التصفح بموزيلا جيكو (مثل Firefox  وهكذا) لم يعد يخفق nvda في معالجة النصوص عند اختيار المصمم إسلوب الجدول لعرض أحد العناصر. (#1373)
- معالجة مشكلة تكرار أسماء بعض الحقول الاستمارية عند التفاعل معها في فيرفوكس (Gecko) وفي إنترنت إكسبلورر (MSHTML). (#1650)
- لم يعد يخفق nvda في قراءة الخلايا بميكروسوفت إكسل  بعد اللصق بداخلها بالضغط على control+v. (#1781)
- في أدوبي ريدر  لم يعد يعلن nvda  عن مسار المستند الذي تم تحميله عند التحرك إلى حقول استمارية توجد بين الصفحات. (1659)
- من الآن سيتم الإعلان بطريقة صحيحة عن الأزرار ذات الوظيفتين بنمط التصفح بموزيلا جيكو (كما في فيرفوكس). (#1757)
- إمكانية قراءة شريط العنوان  لمستكشف  ويندوز بالنسخة التجريبية من  ويندوز 8.
- لم يعد يتسبب nvda في توقف بعض التطبيقات كتطبيقات winver و wordpad بالنسخة التجريبية لويندوز 8 
- في نمط التصفح بالتطبيقات التي تستخدم موزيلا جيكو 10 وما بعدها (كما هو الحال في فيرفوكس 10) سيتم وضع المؤشر في المكان الصحيح عند تحميل صفحة بها روابط إلى نفس الصفحة. (#360)
- في نمط التصفح بالتطبيقات التي تستخدم موزيلا جيكو (كما في فيرفوكس)  سيتم معالجة أسماء  خرائط الصورة.
- لم يعد تشغيلعنصر تتبع مسار الفأرة يتسبب في توقف التطبيق العامل  عند مرور الفأرة على بعض حقول التحرير النصية. (#672)
- سيعمل nvda مع مختلف محاوارات نبذة عن بالتطبيقات الملحقة بنظام التشغيل ويندوز إكس بي كمحاورة نبذة عن ببرنامج notepad ومحاورة نبذة عن إصدار الويندوز ببرنامج winver. (#1853, #1855)
- معالجة مشكلة استعراض الكلمات بتطبيقات النصوص بويندوز. (#1877)
- من الآن سينتقل nvda بطريقة صحيحة من النمط التفاعلي إلى نمط التصفح إذا قام المستخدم بالتحرك خارج مربعات التحرير عن طريق الضغط على مفاتيح السهم الأعلى أو السهم الأيسر أو مفتاح صفحة لأعلى وذلك أثناء تحديد خيار التشغيل التلقائي للنمط التفاعلي مع حركة مؤشر الحاسوب (#1733)
- عند استخدام آلة النطق espeak, لم يعد ينقطع الصوت في بعض الأحوال بمحاورة حفظ باسم بعارض تقارير nvda. (#2145)


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


= الإصدار 2011.2 =
يتضمن هذا الإصدار العديد من التحسينات التي تشمل الرموز وعلامات الترقيم بإضافة المستويات المختلفة لقراءتها وتخصيص كيفية نطقها  وإضافة تهجئة صوتية للأحرف، عدم وجود وقفات عند المرور بنهايات الأسطر أثناء قراءة كامل النص، دعم أفضل لتطبيقات الإنترنت الغنية والمتوافقة مع برامج قراءة الشاشة (aria) بإنترنت إكسبلورر، دعم أفضل لمستندات xfa/livecycle بأدوبي ريدر، والإعلان عن تنسيق ولون النص المكتوب على الشاشة.

== المستجدات ==
- أصبح من الممكن الاستماع إلى التهجئة الصوتية للحرف وذلك بالضغط على مفتاح الاختصار المنوط باستعراض الحرف الحالي مرتين متتاليتين. فبالنسبة للغة الإنجليزية ستسمع الكلمات الإنجليزية المعتادة المعبرة عن هذا الحرف أما بالنسبة للغات المصورة كالصينية التقليدية فسيتم توفير أمثلة بعبارات بها الرمز المراد الاستماع إلى تهجئته الصوتية. كما أنه بالضغط على المفاتيح المنوطة باستعراض الكلمة الحالية أو السطر الحالي ثلاث مرات سيقوم NVDA بتهجئة الكلمة أو السطر تهجئة صوتية وسيتم ذكر أول مثال تم وضعه لهذا الأمر. (#55)
- يمكن الآن رؤية المزيد من النصوص عند تشغيل مؤشر الاستعراض المصطح لبعض التطبيقات كبرنامج Mozilla Thunderbird.
- يمكن للمستخدم الآن الاختيار من بين عدة مستويات للإعلان عن الرموز وعلامات الترقيم كنطق كافة العلامات أو نطق معظمها أو نطق بعضها وهكذا. (#332)
- إذا تم تكرار أحد الرموز أو علامات الترقيم أكثر من ثلاث مرات فسيتم ذكر عدد الرمز المكرر بدلا من تكرار الرمز أو العلامة بمعنى إذا وجدت علامة الشرطة 4 مرات فسيقوم NVDA بالإعلان عن أن علامة الشرطة مكررة أربع مرات بدلا من قول شرطة أربع مرات. (#43)
- وضع جداول ترجمة برايل جديدة : نرويجي حاسوب برايل 8 نقاط و إثيوبي بدون اختصارات وسلوفيني بدون اختصارات وسربي بدون اختصارات.  (#1456)
- حل مشكلة توقف NVDA عن القراءة  بمروره على نهايات  الأسطر أثناء استخدام أمر قراءة كامل النص (#149)
- سيعلن nvda الآن عن الطريقة المرتب بها العناصر سواء كانت تصاعدية أو تنازلية في المتصفحات (وِفقَا لترتيبها في التطبيقات الغنية والمتوافقة مع برامج قراءة الشاشة (aria)) كلما كان ذلك ممكنا (#1500)
- عرض أشكال braille unicode التي تمثل الأحرف البرايل على الشاشة  بطريقة صحيحة على السطر الإلكتروني. مما يفيد في التأكد من سلامة النص قبل الطباعة (#1505)
- في إنترنت إكسبلورر وتطبيقات mshtml الأخرى عند الحركة داخل مجموعة حقول استمارية تندرج تحت مسمى معين فإن nvda سيعلن عن اسم تلك المجموعة بمعنى أن المستخدم إذا تحرك داخل مجموعة حقول استمارية تندرج تحت اسم المعلومات الشخصية فإن nvda سيعلن عن هذا المسمى. (#535)
- في إنترنت إكسبلورر وتطبيقات mshtml الأخرى  سيتمكن nvda من التعرف على أسماء الكائنات ووصفها إذا ما استخدم المصمم خصائص aria-labeledBy و aria-describedBy.
- في إنترنت إكسبلورر وتطبيقات mshtml الأخرى   دعم أفضل من nvda لكائنات القوائم والبراويز وأشرطة السحب وأشرطة التقدم بالتطبيقات الغنية والمتوافقة مع برامج قراءة الشاشة (aria).
- أصبح بإمكان المستخدم تغيير نطق الرموز وعلامات الترقيم بالإضافة إلى إمكانية تغيير مستوى قراءة تلك الرموز والعلامات. (#271, #1516)
- أصبح NVDA يعلن عن أسماء صفحات العمل داخل برنامج ميكروسوفت إكسل Microsoft Excel وذلك عند الضغط على CTRL+pageup و CTRL+pagedown للتنقل بين الصفحات (760)
- عند الحركة داخل جدول بميكروسوفت وورد (microsoft word)  باستخدام مفتاح tab  سيعلن nvda عن محتوى الخلايا. (#159)
- أصبح من الممكن تعطيل أو تشغيل الإعلان عن مراجع خلايا الجدول من خلال مربع التحديد الموجود بمحاورة تنسيق المستندات بقائمة التفضيلات. (#719)
- أصبح بإمكان nvda الإعلان عن اللون والتنسيق للنص المكتوب على الشاشة.
- أصبح بإمكان nvda الإعلان عن أن الرسالة غير مقروءة (unread) بقائمة الرسائل ببرامج Outlook Express / windows Mail / Windows Live Mail فضلا عن الإعلان عن كونها مفتوحة أو مغلقةفي حال تنظيم المحادثات . (#868)
- إضافة إعداد إلى آلة النطق eSpeak لرفع سرعة القراءة ثلاث مرات أكثر من ذي قبل.
- دعم كائن التقويم (calendar) والموجود بمحاورة معلومات الوقت والتاريخ والذي يمكن الوصول إليه من الساعة بويندوز 7. (#1637)
- إضافة مفاتيح اختصار جديدة إلى السطر الإلكتروني من طراز MDV Lilli (#241)
- إضافة لغتين جديدتين إلى اللغات التي يدعمها البرنامج وهما: البلغارية والألبانية. 


== التعديلات ==
- لتحريك مؤشر التحرير إلى مؤشر الاستعراض قم بالضغط على مفتاح الاختصار المنوط بتحريك مؤشر النظام إلى الكائن الحالي مرتين متتاليتين (NVDA+shift+numpadMinus في لوحة مفاتيح الحاسوب المكتبي و NVDA+shift+backspace في لوحة مفاتيح الحاسوب المحمول). وهذا سيوفر مفاتيح أخرى لوظائف جديدة (#837)
- لسماع المكافئ الرقمي للحرف الواقع تحت مؤشر الاستعراض قم بالضغط على الاختصار المنوط باستعراض الحرف الحالي ثلاث مرات بدلا من مرتين حيث أنه بالضغط على الاختصار مرتين الآن يقوم بالتهجئة الصوتية للحرف.
- تحديث آلة النطق مفتوحة المصدر eSpeak  إلى الإصدار رقم 1.45.03. (#1465)
- توقف الإعلان عن الجداول التنسيقية في تطبيقات موزيلا جيكو (Mozilla Gecko) عند تحريك مؤشر النظام أثناء وجود المستخدم داخل النمط التفاعلي أو خارج أحد المستندات
- سيعمل نمط التصفح داخل مستندات التطبيقات الغنية والمتوافقة مع برامج قراءة الشاشة (aria) في إنترنت إكسبلورر وتطبيقات mshtml الأخرى. (#1452)
- تحديث إصدار مترجم ليبلويس (liblouis braille) إلى الإصدار رقم 2.3.0.
- عند القفز باستخدام مفاتيح الحركة السريعة أو بمؤشر النظام إلى أحد الكائنات في نمط التصفح فإن nvda سيعلن عن وصفه إذا كان الكائن له وصف.
- الإعلان عن شريط التقدم في نمط التصفح.
- سيتم إخفاء الكائنات الموجودة داخل كائنات مرئية ,لا تهم المستخدم, من نمط الاستعراض البسيط. وبإمكان المستخدم إظهار تلك الكائنات بتعطيل نمط الاستعراض البسيط.
- الإشارة في دليل المستخدم وواجهة nvda إلى مصطلح الذاكرة التخيلية بمصطلح نمط التصفح حيث أن مصطلح الذاكرة التخيلية لا يعطي دلالة واضحة لمعظم المستخدمين (#1509)
- الآن إذا أراد المستخدم نقل إعدادات NVDA والموجودة داخل مجلد النظام بما فيها أي ملحقات برمجية إضافية إلى شاشات الدخول فإنه يتم تحذيره بأن ذلك يعد فيه خطورة أمنية (#1426)
- لم تعد خدمة nvda تبدأ تشغيل nvda وتوقفه في أسطح المكتب النشطة(input desktops) .
- لم يعد يستغل nvda إمكانية ui automation بويندوز إكس بي وويندوز فيستا حتى إذا كانت متاحة في التحديث فعلى الرغم من فائدة UI Automation في تحسين توافقية بعض البرامج الحديثةمع برامج قراءة الشاشة إلا أنها تتسبب في حدوث جمود وتوقف وانخفاض في أداء nvda. (#1437)
- في التطبيقات التي تستخدام موزيلا جيكو 2 وما بعده (كبرنامج Firefox 4  وما بعده) يمكن قراءة المستند في نمط التصفح قبل الانتهاء تماما من تحميله.
- سيعلن nvda الآن عن حالة الكائن الذي يحوي كئنات أخرى عند تحريك مؤشر النظام إلى كائنبداخله (فعلى سبيل المثال إذا تحرك مؤشر النظام داخل مستند ما زال يتم تحميله سيخبرنا nvda بذلك).
- لم يعد يتم ذكر مصطلحات "الكائن الفرعي (first child)" ولا "الكائن الرئيسي (parent)" في كل من واجهة nvda ودليل الاستخدام عند التطرق لموضوع الحركة حول الكائن نظرا لما تسببه تلك المصطلحات من تشتيت للكثير من المستخدمين.
- لم يعد يتم الإعلان عن كلمة مغلق (collapsed) في بعض عناصر القوائم التي تحتوي على قوائم فرعية.
- أصبح بإمكان مفتاح الاختصار المنوط بالإعلان عن التنسيق (nvda+F) يعلن عن التنسيق في موضع مؤشر الاستعراض إضافة إلى الإعلان عنه في مؤشر التحرير. ربما لا يلاحظ معظم المستخدمين هذا التغيير لأن مؤشر الاستعراض يتبع مؤشر التحرير افتراضيا ولكنه تعديل مفيد لمن يود معرفة تنسيق النص وهو في الاستعراض المسطح مثلا.


== الإصلاحات ==
- لم يعد nvda ينتقل آليا إلى نمط التصفح عند إغلاق مربعات الخيارات (combo boxes) إذا قام المستخدم بتشغيل النمط التفاعلي عمدا بالضغط على nvda + space (#1386)
- حل مشكلة وضع بعض رأوس الموضوعات في أسطر متفرقة ووضعها في سطر واحد في وثائق gecko (كما في فيرفوكس ووثائق mshtml (كما في إنترنت إكسبلورر) (#1378) 
- حل مشكلة تحديث البرايل بمحتوى نمط التصفح عند إرفاق البرايل بمؤشر الاستعراض وعند تحريك مؤشر حركة الكائن إلى نمط التصفح يدويا أو نتيجة لتغيير مؤشر النظام (#1406, #1407)
- إذا تم تعطيل خاصية الإعلان عن علامات الترقيم لم يعد NVDA يقوم بنطق علامات بطريقة خاطئة عند استخدام بعض آلات النطق. (#332)
- معالجة مشكلة الخطأ الذي كان يحدث عند تحميل الإعدادات المحفوظة لآلات نطق لا تدعم إعدادات الصوت مثل آلة النطق Audiologic Tts3. (#1347)
- معالجة مشكلة قراءة قائمة الإضافات (extras) ببرنامج skype (#648)
- معالجة المشكلات التي كانت تنتج عن تحديد المربع الخاص بإصدار صفارة عند تحريك الفأرة حسب نقاء الصورة, والموجود بمحاورة إعدادات الفأرة, في ويندوز Vista أو ويندوز 7 64 بيت (#1183)
- عند إعداد nvda كي يستخدم نمط لوحة مفاتيح الحاسوب المحمول فسيقوم NVDA+delete بذكر أبعاد الكائن الحالي كما هو مشار إليه في الدليل. (#1498)
- سيتم الإعلان عن ما يتم تظليله إذا استخدم مصمم الموقع خاصية aria-selected بتطبيقات الإنترنت الغنية والمتوافقة مع برامج قراءة الشاشة (aria) في مستندات إنترنت إكسبلورر
- عند التحول تلقائيا من نمط التصفح إلى النمط التفاعلي أصبح البرنامج يعلن عن المحتوى الموجود داخل العنصر المحدد. فعلى سبيل المثال إذا كان هناك عنصر داخل مربع قائمة قد تم تحديده سيتم الإعلان عن مربع القائمة أولا. (#1491)
- في تطبيقات mshtml و internet explorer سيتم اعتبار مربعات القوائم في التطبيقات الغنية والمتوافقة مع برامج قراءة الشاشة (aria) على أنها قوائم بدلا من عناصر قوائم
- حل مشكلة الإعلان عن مربعات التحرير المخصصة للقراءة فقط (#1436)
- في نمط التصفح أصبح nvda يتعامل بشكل صحيح مع مربعات التحرير المخصصة للقراءة فقط.
-  في صفحات الإنترنت لم يعد ينتقل nvda إلى نمط التصفح عند وجود المستخدم في النمط التفاعلي وصادفه مربع تكميل تلقائي. (auto complete)
- أصبح بإمكان nvda الإعلان عن أسماء الكائنات عند تحريك مؤشر النظام أو استخدام مفاتيح الحركة السريعة في نمط التصفح ببرنامج Adobe Reader
- في مستندات XFA PDF ببرنامج Adobe Readerسيتم تقديم الأزرار والأشكال الرسومية والروابط بطريقة صحيحة
- في مستندات XFA PDF ببرنامج Adobe Readerسيتم تقديم كل العناصر في أسطر منفصلة. لقد حدث هذا التعديل لأن الأقسام الكبيرة (وفي بعض الأحيان كل المستند) كانت تقدم دون فواصل نظرا لنقص التركيب في هذه المستندات 
- معالجة المشكلات التي كانت تنتج عن تحريك مؤشر النظام إلى مربعات التحرير أو بعيد عنها في مستندات XFA PDF  ببرنامج Adobe Reader.
- سيتم الإعلان عن التغييرات في قيمة مربع الخيارات النشط بمستندات XFA PDF ببرنامج Adobe Reader
- أصبحت مربعات الخيارات التي تحتوي على عناصر رسومية متوافقة مع برنامج nvda مثل مربع خيارات اَلْأَلْوان الموجود بقائمة الخيارات بتبويب القراءة ببرنامج Outlook Express. (#1340)
- معالجة مشكلة الدمج بين نطق مراجع الخلايا وما تحويه من قيم رقمية في اللغات التي تستخدم المسافة لفصل الآلاف كاللغة الفرنسية واللغة الألمانية حيث كان ينتج عنه مشكلات في نطق خلايا الجدول التي تحتوي على أرقام. (#555)
- سيتم تصنيف الوصف الذي يقدمه مصمم الموقع لإعلام المستخدم بوظيفة أحد الكائنات في إنترنت إكسبلورر وتطبيقات MSHTML الأخرى, من خلال التطبيقات الغنية والمتوافقة مع برامج قراءة الشاشة (aria), على أنه نص ثابت (static text) وليس مربعات تحرير.
- حل مختلف المشاكل التي تنتج عن ضغط مفتاح tab أثناء وجود المستخدم في صفحة الإنترنت وهو في نمط التصفح (ومن أمثلة تلك المشكلات تحرك مفتاح tab بطريقة غير صحيحة إلى شريط العنوان في إنترنت إكسبلورر). (#720, #1367)
- سيقول nvda "list with 5 items" على سبيل المثال بدلا من أن يقول "listwith 5 items" وهذا الخطأ كان في الإصدارات الإنجليزية وليس له علاقة بالإصدارات العربية (#1515)
- في المساعدة التفاعلية يتم الآن تسجيل جميع مفاتيح الاختصار داخل ملف تقارير البرنامج؛ ذلك حتى مع تخطي الملحقات البرمجية المتعلقة ببعض هذه المفاتيح لعمل خاصية المساعدة التفاعلية مثل أوامر الحركة التي تقوم بها أزرار الرجوع للخلف والتحرك إلى الأمام بالسطر الإلكتروني
- عندما يتم الضغط على المفتاح المصاحب في لوحة المفاتيح أثناء  عمل المساعدة التفاعلية  لن  يعلن عنه لأنه بهذه الطريقة كأنه يعلن عن نفسه كمفتاح NVDA+NVDA على سبيل المثال. 
- الآن أصبح الضغط على الحرف c  أو shift+c يتنقل بين مربعات الخيارات داخل مستندات برنامج ادوبي ريدر (Adobe Reader)
- أصبح NVDA يعلن عن صفوف وأعمدة الجداول المحددة بنفس الطريقة التي يعلن بها عن عناصر القوائم أو العروض الشجرية.
- أصبح من الممكن تفعيل الكائنات في نمط التصفح حتى إذا كانت محتويات تلك الكائنات خارج إطار الشاشة وذلك في Firefox وتطبيقات جيكو الأخرى. (#801)
- لم يعد يمكنك إظهار محاورة من محاورات إعدادات nvda أثناء ظهور محاورة بها رسالة كأن تفتح محاورة نبذة عن البرنامج ثم تفتح بعدها محاورة الإعدادات العامة مثلا حيث أن محاورة الإعدادات لا يمكن التعامل معها سواء بالإغلاق أو بالحركة داخلها بمفتاح tab. (#1451)
- حل مشكلة بطء الاستجابة التي كانت تحدث في برنامج Microsoft Excel عند الضغط ضغطة طويلة على المفاتيح أو الضغط عليها بسرعة أثناء التحرك بين الخلايا أو تظليلها.
- القضاء على مشكلة التوقف الذي كان أحيانا يصيب NVDA في شاشات الويندوز المؤمنة.
- معالجة المشكلات التي تظهر أحيانا مع الأسطر الإلكترونية عندما يتسبب حدوث تغيير ما في اختفاء نص كان معروض على السطر. (#1377)
- أصبح من الممكن التحرك داخل نافذة التحميل ببرنامج internet explorer 9 وقراءتها. (#1280)
- القضاء على احتمالية تشغيل نسخ متعددة من nvda في وقت واحد بالصدفة (#507)
- لم يعد يتم إظهار نافذة nvda طوال فترة تشغيله في الأنظمة البطيئة (#726)
- لم يعد يتوقف nvda عند تشغيل برنامج WPF  في ويندوز إكس بي. (1437)
- يمكن الآن استخدام أمر قراءة كامل النص وأمر استعراض كامل النص في بعض  كائنات uiAutomation النصية  والتي تدعم كل الوظائف المطلوبة (فعلى سبيل المثال يمكن استخدام استعراض كامل النص في مستندات عارض xps(xps viewer))
- لم يعد يقوم nvda بتصنيف بعض عناصر القوائم بمحاورة قواعد الرسائل ب outlook express/windows live mail على أنها مربعات تحديد. (#576)
- لم يعد يتم الإعلان عن احتواء مربعات الخيارات على قائمة فرعية.
- يستطيع nvda الآن قراءة عناوين البريد الإلكتروني الموجودة بحقول إلى (to) ونسخة إلى (CC) ونسخة مخفية الوجهة (BCC) بميكوروسوفت أوتلوك (microSoft outlook). (#421)
- معالجة مشكلة توقف الإعلان في بعض الأحيان عن التغيير في قيم شريط السحب بإعدادات الصوت. (#1411)
- لم يعد يخفق nvda في الإعلان عن الخلية الجديدة أثناء الحركة في ورقة العمل ب Excel  بعد القص واللصق. (#1567)
- القضاء على مشكلة عدم الدقة التي كانت تصيب nvda عند عثوره على أسماء ألوان متعددة.
- القضاء على مشكلة عدم قدرة nvda على قراءة بعض أجزاء من صفحات نادرة في إنترنت إكسبلورر وتطبيقات mshtml الأخرى. (#1569)
- معالجة مشكلة نادرة كانت تصيب إنترنت إكسبلورر وتطبيقات mshtml الأخرى حيث كان nvda ينتقل من مربعات التحرير متعددة الأسطر إلى إعلى الصفحة. (#1566)
- سيقوم nvda بالقراءة الآلية لمحاورات التأكيد ببرنامج Microsoft Word 2010. (#1538)
- في إنترنت إكسبلورر وتطبيقات mshtml الأخرى سيعلن nvda بطريقة صحيحة عن ما يتم تظليله في الأسطر بعد السطر الأول  في مربعات التحرير متعددة الأسطر. (#1590)
- تحسين إمكانية الحركة بالكلمات في مواضع كثيرة منها نمط التصفح وتطبيقات التحرير بويندوز. (#1580)
- لم يعد يظهر مثبت nvda نصوص مشوهة في كل من ويندوز فيستا وويندوز 7 بإصدارات هنجكونج. (#1596)
- لم يعد يخفق nvda في تحميل آلة النطق Microsoft Speech API version 5  إذا كانت الإعدادات بها إعدادات  آلة النطق هذه ولكنها لا تحتوي على إعداد الصوت. (#1599)
- لم يعد nvda يتباطأ في الاستجابة أو يتجمد في مربعات التحرير بإنترنت إكسبلورر وتطبيقات mshtml الأخرى عند تشغيل السطر الإلكتروني.
- لم يعد يمنع nvda من أن يشمل نمط التصفح بفيرفوكس ما بداخل الكئانات المرئية  كمحتوى الإطارات أو البراويز.
- سيتم من الآن الإعلان بشكل صحيح عن الأسطر الموجودة بالصفحات بعد أول صفحة بمستندات ميكروسوفت وورد (microSoft word) عند تشغيل السطر الإلكتروني. (#1603)
- سيمكن من الآن قراءة أسطر النصوص المكتوبة من اليمين إلى اليسار (كما في اللغة العربية) عند تشغيل السطر الإلكتروني وذلك ببرنامج ميكروسوفت وورد 2003 (microsoft word 2003). (#627)
- سيعمل أمر قراءة كامل النص بطريقة صحيحة ببرنامج ميكروسوفت وورد (microSoft word) إذا كان المستند ليس منتهي بعلامة ترقيم تفيد نهاية الجملة. 
- عند فتح رسالة خالية من التنسيق ببرنامج ويندوز لايف مايل 2011 (windows live mail 2011) سيقوم nvda بتنشيطها مما يمكنه من قراءتها بطريقة صحيحة.
- حل مشكلة التوقف المؤقت أو عدم النطق التي كانت تصيب nvda أثناء وجود المستخدم بمحاورات نقل إلى أو نسخ إلى ببرنامج ويندوز لايف مايل (windows live mail). (#574)
- في برنامج outlook 2010 أصبح NVDA يتعقب العنصر المحدد داخل قائمة الرسائل على نحو صحيح. (#1285)
- حل بعض مشكلات توصيل USB بالسطر الإلكتروني MDV Lilli. (#241)
- في إنترنت إكسبلورر وتطبيقات mshtml الأخرى لم يعد يتم تجاهل المسافات في نمط التصفح في حالات معينة (كأن تكون تلك المسافات موجودة بعد رابط مثلا).
- في إنترنت إكسبلورر وتطبيقات mshtml الأخرى تم القضاء على فصل الأسطر إلى  كلمات متفرقة بنمط التصفح.  #(1685)
- إذا أخفق nvda في بدأ التشغيل أو في تشغيل صوت الخطأ فإن ذلك لم يعد يمنع من ظهور رسالة الخطأ في ملف تقارير البرنامج.


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


= الإصدار 2011.1.1 =
يتضمن هذا الإصدار حل العديد من المشكلات الأمنية والقضايا الهامة التي كانت توجد بالإصدار 2011

== الإصلاحات ==
- تعطيل عنصر التبرع الموجود بالقائمة الرئيسية ب nvda عند تشغيله في شاشة الدخول لويندوز وشاشة القفل وشاشة حسابات المستخدم والشاشات المأمنة الأخرى وذلك لدواع أمنية (#1419)
- أصبح من المستحيل النسخ أو اللصق داخل واجهة مستخدم NVDA وذلك أثناء وجودك في أسطح مكتب آمنة (شاشة القفل , وشاشة حسابات المستخدم, وشاشة الدخول لويندوز) وذلك لدواع أمنية (#1421)
- تمت معالجة مشكلة الخروج مِن الكائنات المدرجة مثل (flash) بإستخدام nvda+Control+space في Firefox4 (#1429)
- تمت معالجة مشكلة نطق الأحرف مع مفتاح ال shift عند تشغيل خاصية نطق مفاتيح الاختصار بعد تعطيل خاصية نطق الأحرف المكتوبة (#1422)
- عند تشغيل خاصية نطق مفاتيح الاختصار سيتم الآن الإعلان عن مسطرة المسافات مع كل من مفاتيح ctrl و alt كمفاتيح اختصار (#1424)
- تعطيل عنصر عرض التقارير تماما عند تشغيل nvda  في شاشة الدخول لويندوز وشاشة القفل وشاشة حسابات المستخدم والشاشات المأمنة الأخرى وذلك لدواع أمنية (#1435)
- سيتم تسجيل أي اختصار يتم ضغطه في ملف تقارير البرنامج  عند تشغيل المساعدة التفاعلية إذا كان مستوى تقارير البرنامج على الوضع الافتراضي  حتى إذا لم يكن هذا الاختصار منوط بتنفيذ وظيفة محددة (كما هو مشار إليه في الدليل). (#1425)


= الإصدار 2011.1 =
يتضمن هذا الإصدار عددا كبيرا من المستجدات الملحوظة من بينها: الإعلان عن الألوان في بعض التطبيقات، الإعلان التلقائي عن ما يستجد من نصوص بكل من mIRC,PuTTYTera Term و SecureCRT، دعم الملحقات البرمجية العامة، الإعلان عن التنقيط والترقيم بميكروسوفت وورد، ومزيد من مفاتيح الاختصار للأسطر الإلكترونية مع NVDA, كوضع مفاتيح اختصار للتحرك إلى السطر السابق أو إلى السطر التالي، ودعم العديد من الأسطر الإلكترونية من طراز Baum, HumanWare و APH 

== المستجدات ==
- أصبح NVDA يعلن عن الألوان في بعض التطبيقات. ويمكن ضبط النطق التلقائي للألوان من خلال المحاورة الخاصة بتنسيق المستندات الموجودة في قائمة التفضيلات، كذلك يمكن للمستخدم التعرف على الألوان حسب الطلب بالضغط على أمر إعلان تنسيق المستندات NVDA+F
- وذلك بشكل أساسي في  تطبيقات تحرير النصوص Iaccessible2 القياسية مثل تطبيقات موزيلا وتطبيقات تحرير النصوص المختلفة مثل Wordpad و IBM Lotus Symphony 
- في الذاكرات التخيلية يمكنك الآن التحديد بالصفحة وذلك بالضغط على (shift+pageDown  و shift+pageUp) كما يمكنك التحديد بالفقرة وذلك بالضغط على (shift+control+downArrow  و shift+control+upArrow)
- سيقوم NVDA الآن بالإعلان آليا عن أي نص جديد يظهر في mIRC, PuTTY, Tera Term وSecureCRT
- يمكن للمستخدم الآن إضافة اختصارات أو تغيير الاختصارات الموجودة لأي وظيفة (script)في Nvda وذلك باستخدام خريطة تعريف مفاتيح الاختصار للمستخدم
- دعم الملحقات البرمجية العامة حيث أنه من شأن هذه الملحقات إضافة خصائص وظيفية ل NVDA تعمل مع كل التطبيقات
- يسمع المستخدم الآن تنبيه صوتي صغير عند كتابته للأحرف مع مفتاح ال shift أثناء تشغيل مفتاح caps lock كما يمكنه إلغاء هذه الخاصية بإزالة التحديد من الخيار الجديد الخاص بها والموجود بمحاورة إعدادات لوحة المفاتيح
- يتم الآن الإعلان عن فواصل الصفحات في مستندات ميكروسوفت  وورد عند التحرك بالأسطر
- يتم الآن الإعلان عن التنقيط والترقيم بمستندات ميكروسوفت وورد عند التحرك بالأسطر
- الآن تم توفير مفتاح اختصار لتشغيل أو تعطيل وضع الصمت للتطبيق الحالي وهو (NVDA+shift+s) حيث أن هذا الوضع يقوم بتعطيل كل مهام قراءة الشاشة في NVDA من أجل تطبيق معين وهذا يفيد في التطبيقات التي تحتوي على صوت خاص بها و أو خصائص قراءة شاشة تميزها ولتعطيل هذا الأمر يتم الضغط على نفس مفتاح الاختصار مرة أخرى
- تم إضافة مفاتيح اختصار للسطر الإلكتروني مع NVDA. لمزيد من التفاصيل يرجى الاطلاع على قسم الأسطر الإلكترونية المدعومة بدليل المستخدم
- تم استحداث عنصر في قائمة NVDA الرئيسية يتناسب مع مطوري البرامج الأخرى  يقوم بإعادة تحميل الوحدات البرمجية والملحقات العالمية بدلا من إعادة تشغيل البرنامج حيث أن ذلك يمكنهم من اختبار التغييرات التي تحدث للبرنامج الذي يقومون بتطويره. وهذا العنصر هو إعادة تحميل الملحقات والموجود بالقائمة الفرعية أدوات. ويمكن تفعيل هذا العنصر من أي مكان بالضغط على مفتاح الاختصار NVDA+control+f3
- يتذكر NVDA الآن المكان الذي كنت فيه عند العودة إلى صفحة إنترنت قمت بزيارتها مسبقا. وهذا يتم حتى إغلاق المتصفح أو الخروج من NVDA 
- يمكن الآن استخدام الأسطر الإلكترونية هانديتيك (Handy Tech) دون الحاجة إلى تثبيت التعريف العالمي الخاص بها
- دعم العديد من  الأسطر الإلكترونية من طراز Baumو  HumanWare و APH 
- التعرف على شريط العنوان لبرنامج Media Player Classic Home Cinema
- الآن يمكن استخدام السطر الإلكتروني من شركة Freedom Scientific من نوع  Focus 40 Blue braille display عند توصيله بالبلوتوث
-

== التعديلات ==
- لم يعد يتم الإعلان عن المعلومات المكانية افتراضيا في بعض الأحيان مثل غالبية القوائم وشريط المهام وصينية النظام وهكذا حيث أنه عادة ما كانت هذه المعلومات غير صحيحة ومع ذلك فيمكن تشغيل هذه الخاصية مرة أخرى من خلال خيار جديد تم إضافته إلى محاورة إعدادات عرض الكائن
- تم إعادة تسمية مساعد لوحة المفاتيح بالمساعدة التفاعلية (input help) لأن ذلك من شأنه يعكس أن مساعد لوحة المفاتيح يتناول المفاتيح المضغوطة من المصادر وليس من خلال لوحة المفاتيح
- لم تعد المساعدة التفاعلية (input help) تعلن عن مكان أي ملحق برمجي (script) بالشفرة البرمجية سواء عن طريق الصوت أو البرايل حيث أن هذا الأمر مبهم بالنسبة للمستخدم ولا يمت له بصلة، ومع ذلك فإنه يتم تقريره للمطورين والمستخدمين المتقدمين
- عند تبين أن NVDA قد توقف فإنه سيستمر توقف المفاتيح المصاحبة للبرنامج إلا أنه يقوم بتمرير بقية المفاتيح الأخرى إلى النظام وذلك يفيد في منع المستخدم من تشغيل caps lockدون قصد وهكذا. وذلك إذا قام المستخدم بالضغط على المفتاح المصاحب للبرنامج دون تدارك توقف البرنامج. أي أنه أثناء توقف البرنامج سيتم مرور جميع المفاتيح إلى النظام ما عدا المفتاح المصاحب للبرنامج
- إذا تم الضغط على المفاتيح ضغطة طويلة بعد تنفيذ أمر مرور المفتاح فسيتم مرور جميع المفاتيح بما في ذلك المفاتيح المتكررة حتى تحرير آخر مفتاح بمعنى آخر إذا تم الضغط على مفتاح التحكم فسيتم تمرير كل المفاتيح الأخرى حتى يتم تحريره
- إذا تم الضغط على أي من المفاتيح المصاحبة للبرنامج مرتين متعاقبتين لتمريره إلى النظام وكانت الضغطة الثانية ضغطة طويلة فسيتم تمرير كل المفاتيح المتكررة أيضا
- الآن سيتم الإعلان عن مفاتيح علو الصوت وخفضه وكتمه في المساعدة التفاعلية وهذا يمكن أن يفيد المستخدم إذا كان غير متأكد من وظائف تلك المفاتيح
- لقد تم تغيير مفتاح الوصول السريع (hot key) للعنصر مؤشر الاستعراض الموجود بقائمة التفضيلات إلى حرف C بدلا من حرف R وذلك لأن عنصر إعدادات الخط البارز (braille settings) والموجود بنفس القائمة يستخدم نفس الحرف كمفتاح للوصول السريع
-


== الإصلاحات ==
- عند إضافة مدخل جديد إلى معجم النطق أصبح عنوان المحاورة الآن "إضافة مدخل جديد إلى المعجم" بدلا من "تعديل مدخل المعجم".
- في محاورات معاجم النطق أصبح البرنامج يعرض محتوى التعبيرات القياسية وقائمة مدخلات المعجم وحساسيتها للحروف الكبيرة باللغة التي يعمل بها NVDA بدلا من اللغة الإنجليزية دائما.
- في برنامج (Aim) أصبح NVDA يعلن عن المعلومات المكانية داخل أي عرض شجري. 
- عند استخدام شريط السحب الخاص بإعدادات الصوت أصبح كل من مفتاح السهم الأعلى أو صفحة لأعلى أو مفتاح البداية يعلنون عن زيادة الإعداد أما الضغط على مفتاح السهم الأسفل أو صفحة لأسفل أو مفتاح النهاية فيقلل سرعة الإعداد، وقد كان العكس هو القائم ولكنه لم يكن منطقيا وكان هناك عدم توافق بين ذلك وبين إعدادات آلة النطق. 
- تمت معالجة مشكلة ظهور أسطر فارغة عند تعطيل خاصية عرض تنسيق الشاشة والتي تقدم للمستخدم الشاشة كما هي وليست في ذاكرات تخيلية
- إذا تم الضغط على أي من المفاتيح المصاحبة للبرنامج مرتين متعاقبتين ثم تم الضغط على مفتاح آخر فإنه لم يعد تمرير الضغطة الثانية للمفتاح المصاحب للبرنامج من خلال النظام
- سيتم الآن الإعلان عن مفاتيح علامات الترقيم في المساعدة التفاعلية حتى عند تعطيل خاصية نطق علامات الترقيم
- في محاورة إعدادات لوحة المفاتيح سيتم الآن الإعلان عن أسماء أنماط لوحة المفاتيح بلغة البرنامج المستخدمة بدلا من الإعلان عنها باللغة الإنجليزية
- تم حل مشكلة الإعلان عن بعض العناصر كعناصر فارغة في مستندات Adobe Reader   كالروابط الموجودة بجدول المحتويات بدليل مستخدم  Apple iPhone IOS 4.1 
- يعمل الآن زر "استخدام الإعدادات المحفوظة حاليا في شاشة الدخول لويندوز والشاشات الآمنة الأخرى" والموجود بمحاورة الإعدادات العامة للبرنامج بعد تنصيب NVDA من جديد ولكن قبل ظهور أي شاشة آمنة حيث كان من قبل يعلن عن إتمام النسخ بنجاح ولكن دون فائدة
- لم يعد يتم فتح محاورتين لإعدادات nvda في آن واحد فهذا يساهم في حل مشكلة فتح محاوررة تعتمد على الأخرى مثال ذلك فتح محاورة تغيير آلة النطق أثناء فتح محاورة إعدادات الصوت
- في الأنظمة المفعل بها خاصية حسابات المستخدم لم يعد يفشل زر "استخدام الإعدادات المحفوظة حاليا في شاشة الدخول لويندوز والشاشات الآمنة الأخرى" -والموجود بمحاورة الإعدادات العامة ل NVDA- في أداء مهمته  بعد رسالة حسابات المستخدم إذا كان حساب المستخدم يحتوي على مسافة
- في برنامج إنترنت إكسبلورر وتطبيقات MSHTML  الأخرى يستخدم NVDA عنوان الصفحة (URL) كحل أخير للإعلان عن اسم رابط ما بدلا من الإشارة إليه كرابط فقط 
- لم يعد NVDA يتجاهل الوصول إلى القوائم ببرنامج AOL Instant Messenger 7 
- الإعلان عن الأسماء الصحيحة للكائنات بمحاورة المدقق الإملائي ببرنامج Microsoft Word  على سبيل المثال (ليس بالقاموس وخطأ نحوي وعلامة ترقيم) حيث كان يتم الإعلان عن جميع تلك العناصر بكلمة خطأ نحوي
- ينبغي ألا تتم كتابة نصوص مشوهة بسبب الكتابة في برنامج microsoft word أثناء استخدام السطر الإلكتروني كما أنه تم حل مشكلة التجمد الذي كان نادرا ما يحدث عند قراءة مستندات word باستخدام أزرار آلة الخط البارز
- ينبغي الآن  أن يتم تحديث المؤشر أو النص في السطر الإلكتروني دائما بطريقة ملائمة عند ضغط مفتاح الحذف (delete)  في أحد مربعات التحرير كي يعكس ما يحدث من تغيير
- يقوم NVDA الآن ببيان التغييرات التي تحدث في الصفحات المتحركة في مستندات Gecko2(مثل Firefox 4)  أثناء فتح أكثر من صفحة حيث كان من قبل يتم بيان التغييرات لأول صفحة فقط
- أصبح بإمكان NVDA الإعلان بشكل صحيح عن الاقتراحات للأخطاء النحوية وأخطاء علامات الترقيم بمحاورة المدقق الإملائي لبرنامج microsoft word
- لم يعد NVDA يعرض الروابط التي تقفذ بالمستخدم إلى قسم ما في نفس الصفحة في الذاكرات التخيلية لبرنامج إنترنت إكسبلورر وتطبيقات MShtml الأخرى إذا كانت تلك الروابط فارغة بل سيتم إخفاؤها كما ينبغي أن يكون
- لم يعد مؤشر حركة الكائن يتوقف عند التحرك بمفتاح ال tab ثم الرجوع بضغط مفتاحي shift + tab
- لم يعد NVDA يكتفي بقراءة المعلومات بالإطارات الداخلية (frame) دون قراءة المعلومات التي توجد بالإطارات التي تحويها بل سيقرأ ما بداخل تلك الإطارات حتى إذا تم تحميل الإطار الداخلي أولا وذلك في كل من فير فوكس وتطبيقات جيكو
- سيقوم NVDA الآن بالإعلان عن الحرف التالي عند حذف حرف باستخدام مفتاح الحذف في اللوحة الرقمية (nompadDelete)
- سيتم الإعلان مرة أخرى عن اسم المستخدم في شاشة الدخول لويندوز بويندوز XP إذا تم تغيير المستخدم المحدد
- معالجة مشكلة قراءة النصوص بتطبيقات الأوامر النصية والتي كانت تحدث عند تفعيل خيار الإعلان عن رقم السطر
- يمكن للمبصرين الآن استخدام محاورة قائمة العناصر بالذاكرات التخيلية حيث أصبح من الممكن رؤية جميع الكائنات على الشاشة
- يمكن الآن للأشخاص المبصرين قراءة قائمة المدخلات بمحاورة معاجم النطق حيث تم تكبير حجمها مما يمكنهم رؤية جميع الأعمدة على الشاشة
-  في الأسطر الإلكترونية ALVA BC640/BC680  لم يعد NVDA يتجاهل المفاتيح التي يستمر المستخدم بالضغط عليها بعد تحرير مفتاح آخر بمعنى آخر إذا قام المستخدم بالضغط على مفتاحين ثم قام بتحرير أحدهما فسيتم الاستمرار في تعليق المفتاح الآخر
- إذا تم فتح مستند ليس به علامات (untagged document) باستخدام NVDA لم يعد يتوقف أدوبي ريدر بعد مغادرة خيارات المستند قبل ظهور محاورة المعالجة
- سيقوم NVDA بالانتقال إلى السطر الإلكتروني الذي تم اختياره إذا تم الرجوع إلى الإعدادات المحفوظة سابقا وذلك بالضغط علىNVDA+control+r 
- ستتم إعادة قراءة معالج مشروع Visual Studio 2008  بطريقة صحيحة مرة أخرى
- حل مشكلة تشغيل الملفات التنفيذية لبرامج أسماؤها مكتوبة بلغات أخرى غير الإنجليزية
- حل مشكلة قراءة أول حرف من السطر التالي عند الوصول لنهاية السطر الحالي أثناء  تشغيل نمط التفاف السطر (word wrap) بتطبيق AkelPad  
- في محرر الأكواد لبرنامج Visual Studio 2005/2008 لم يعد NVDA ينطق كامل النص عند كتابة أي حرف 
- تمت معالجة مشكلة عدم إزالة المعلومات المعروضة على شاشات بعض الأسطر الإلكترونية بشكل صحيح عند الخروج من NVDA أو عند تغيير المحتوى المعروض على شاشة السطر الإلكتروني
- معالجة مشكلة إعلان البرنامج المتكرر أحيانا لأول كائن يقع عليه NVDA عند بداية تشغيله
-


== تعديلات للمطورين ==
يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية


= الإصدار 2010.2 =
يتضمن هذا الإصدار عددا كبيرا من المستجدات الملحوظة من بينها المزيد من السهولة  في التحرك حول الكائنات، ووجود ذاكرة تخيلية لمحتويات الفلاش، والوصول إلى العديد من التطبيقات التي كان من الصعب الوصول إليها من قبل وذلك عن طريق استرجاع النص المعروض على الشاشة، كذلك الاستعراض المسطح للنص المعروض على الشاشة، ودعم لمستندات (IBM Lotus Symphony ) وإخبار المستخدم برؤوس أو عناوين أعمدة الجداول في Mozilla Firefox كما شهد هذا الأصدار تحسناً كبيرا ومزيدا من التوضيح والتعديل لمحتوى مستندات مساعدة المستخدم. 

== المستجدات ==
- لقد أصبح  التحرك على الكائنات باستخدام مؤشر الاستعراض أمرا سهلا إلى حد كبير الآن حيث أصبح بإمكان مؤشر الاستعراض استبعاد الكائنات التي لا تفيد المستخدم كأن يستبعد الكائنات المصممة لأغراض التصميم فقط والكائنات الغير متاحة
- الآن بإمكان البرنامج أن يخبر المستخدم بتنسيق النصوص المحررة بواسطة تطبيقات تستخدم جسر الاتصال بجافا (java access bridge) (بما في ذلك برنامج open office.org)
- يقوم NVDA حاليا بنطق خلايا إكسل بشكل صحيح  بمجرد وقوف مؤشر الفأرة عليهم 
- في التطبيقات التى تستخدم جسر الاتصال بجافا (Java Access Bridge) أصبح بإمكان البرنامج الإعلان عن النصوص التى تتضمنها أى محاورة بشرط وجود هذه 	المحاورات.  
- يمكن الآن استخدام الذاكرة التخيلية في التجول داخل محتوى أدوبي فلاش (adobe flash)  مع استمرار دعم التنقل بين الكائنات والتفاعل معها بشكل مباشر  عند تشغيل البيئة التفاعلية
- النصوص المحررة داخل تطبيقات (Eclipse IDE) بما فيها محرر الأكواد (code editor) أصبحت متوافقة مع برامج قراءة الشاشة NVDA بشرط استخدام الإصدار 3.6 أو ما بعده. 
- أصبح بإمكان برنامج NVDA استرجاع معظم النصوص المكتوبة على الشاشة. 
 - يتيح ذلك للمستخدم إمكانية قراءة التطبيقات التي لا تعرض المعلومات بشكل مباشر أو لا تعرضها بشكل يُمَكّن المستخدم الكفيف من الاعتماد عليها 
 - وتتضمن التطبيقات التي أصبحت أكثر توافقا مع برنامج قراءة الشاشة NVDA بعد إضافة هذه الخاصية بعض عناصر القوائم والتي تقوم بعرض أيقونات (icons) ومثال على ذلك هو قائمة فتح بواسطة (open with) المدرجة ضمن قائمة ملف في نظام ويندوز إكس بي (Windows XP) 
- دعم لمحرر الأكواد code editor بفيجوال أستديو Microsoft Visual Studio 2005، 2008 ويتطلب ذلك وجود النسخة القياسية standard edition على الأقل، وهو لا يعمل مع النسخ السريعة express editions
- دعم مستندات IBM Lotus Symphony 
- الدعم التجريبي والمبكر للمتصفح جوجل كروم (Google Chrome). يرجى ملاحظة أن دعم (chrome) لبرامج قراءة الشاشة ما زال غير مكتمل وربما يحتاج أيضا إلى مزيد من العمل في NVDA وستحتاج إلى نسخة مطورة من كروم  (chrome) عند التجربة
- الآن يعرض NVDA حالة المفاتيح ذات الوظيفتين (مفتاح  تكبير الحروف ومفتاح تشغيل وتعطيل اللوحة الرقمية ومفتاح التمرير) على شاشة الخط البارز عند الضغط عليها  
- سيقوم البرنامج بعرض رسائل التعليمات على شاشات الخط البارز عند ظهورها
- إضافة تعريفة للسطر الإلكتروني MDV lilli
- عند القيام بتحديد صف أو عمود بكامله في برنامج ميكروسوفت إكسل (Microsoft excel) بضغط مفاتيح الاختصار تبديل (shift) + مسطرة المسافات ومفتاح التحكم + مسطرة المسافات سيقوم البرنامج بالإعلان عن ما استجد من تحديد
- بإمكان البرنامج الآن نطق رؤوس أو عناوين الصفوف والأعمدة ويمكن تفعيل هذه الخاصية من خلال محاورة تنسيق المستندات بقائمة التفضيلات. 
 - حاليا هذه الإمكانية أصبحت مدعومة من خلال المستندات  الموجودة بتطبيقات موزيلا مثل موزيلا فيرفوكس (Mozilla Firefoxالإصدار 3.6.11 وما بعده) وبرنامج ثندربيرد (Mozilla Thunderbirdالإصدار 3.1.5 وما بعده). 
- استحداث مفاتيح جديدة للاستعراض المسطح (flat review)
 - يمكن الآن استخدام مفتاح NVDA مع الرقم 7 في لوحة المفاتيح الرقمية للتحول إلى الاستعراض المسطح (Flat Review) وهو يضع مؤشر الاستعراض (review cursor) في موضع الكائن الحالي مما يتيح لك إمكانية استعراض المحتوى المعروض على الشاشة (أو بداخل مستند) باستخدام أوامر استعراض النص. 
 - كذلك استخدام مفتاح البرنامج مع الرقم 1 في اللوحة الرقمية يتيح لك إمكانية تحريك مؤشر الاستعراض إلى الكائن الذي يمثله النص الموجود في موضع مؤشر الاستعراض ويتيح لك إمكانية الحركة بالكائن من هذه النقطة. 
- يمكن الآن نسخ إعدادات برنامج NVDA الحالية لاستخدامها في شاشات ويندوز المؤمنة مثل شاشة الدخول إلى ويندوز وشاشات اسم المستخدم وذلك بالضغط على زر بمحاورة الإعدادات العامة. 
- دعم برنامج موزيلا فيرفوكس 4
- دعم برنامج إنترنت إكسبلورر 9
-


== التعديلات ==
- تم إزالة مفاتيح قراءة كل الكائنات (مفتاح NVDA زائد علامة الجمع في اللوحة الرقمية) والتحرك إلى الكائن التالي في نفس المستوى (مفتاح NVDA + مفتاح التبديل + رقم 6 في اللوحة الرقمية) والتحرك إلى  الكائن السابق في نفس المستوى (مفتاح NVDA زائد مفتاح التبديل + رقم 4 في اللوحة الرقمية) وذلك بسبب الأخطاء البرمجية وكى تكون تلك المفاتيح متاحة لوظائف أخرى.
- في المحاورة الخاصة بآلات النطق بالبرنامج، لم يعد يدرج سوى اسم آلة النطق فحسب.  وقد كان فى الإصدارات السابقة اسم المشغل يسبق اسم آلة النطق وهو أمر  يتعلق فقط بالأمور الداخلية الخاصة بعمل البرنامج.
- عند وجودك داخل تطبيق مدرج أو داخل ذاكرة تخيلية بها ذاكرة تخيلية أخرى كما هو الحال في فلاش (flash)  فإنه يمكن لك الآن ضغط مفتاح البرنامج زائد مفتاح التحكم زائد مسطرة المسافات للخروج منها إلى المستند الذي يحويها حيث كان من قبل يستخدم مفتاح البرنامج مع مسطرة المسافات لهذا الغرض لكن أصبح هذا الاختصار مقتصرا فقط على التنقل بين بيئة التصفح إلى البيئة التفاعلية داخل الذاكرة التخيلية. 
- إذا كان عارض النطق (speech viewer) نشطا (أي تم الضغط عليه) فسيمنع ذلك  ظهور  أي نص جديد تم كتابته في التطبيق حتى يتم إلغاء التنشيط وهذا ما يجعل تظليل أي نص يقع في نافذة عارض النطق أكثر سهولة  لإجراء عملية النسخ مثلا، ويذكر أن عارض النطق موجود بقائمة الأدوات داخل قائمة البرنامج. 
- تكون نافذة عارض التقارير ونافذة سطر أوامر بيثون Python Console في أقصى حجم لها على الشاشة maximized عند تنشيطها. 
- إذا كنت في ورقة عمل بميكروسوفت إكسل (microsoft excel) وقمت بتحديد أكثر من خلية فإن البرنامج سيخبرك بالمدى المحدد كله بدلا من الاكتفاء بالخلية النشطة فقط
- تم تعطيل إمكانية حفظ الإعدادات وتغيير بعض الخيارات الحساسة عند التشغيل في شاشات الدخول لويندوز أو شاشات حسابات المستخدم أو شاشات ويندوز المُؤَّمنة الأخرى 
- تحديث إصدار آلة النطق espeak إلى الإصدار رقم 1.44.03
- إذا قمت بضغط اختصار NVDA على سطح المكتب أو مفتاح الاختصار الخاص به (alt+ctrl+N) أثناء تشغيله فإن ذلك سيؤدي إلى إعادة تشغيل البرنامج
- تم إزالة مربع التحديد الخاص بالإعلان عن النص الواقع تحت مؤشر الفأرة من محاورة إعدادات الفأرة (Mouse settings dialog) واستبداله بمربع تحديد "تشغيل تتبع مسار الفأرة" والذي يعد أكثر توافق مع الملحق البرمجي الخاص بتشغيل وتعطيل تتبع مسار الفأرة (NVDA+m) 
- تحديث نمط لوحة مفاتيح الحاسوب المحمول (laptop) فأصبحت تتضمن كل المفاتيح المتاحة في لوحة مفاتيح الحاسوب المكتبي (desktop) كما أنها أصبحت تعمل بشكل جيد مع لوحات المفاتيح غير الإنجليزية
- عمل تحديثات وتحسينات هامة لملفات مساعدة المستخدم بما في ذلك ملف اختصارات  لوحة مفاتيح الحاسوب المحمول وتحديث المرجع السريع للوحة المفاتيح بالتزامن مع دليل المستخدم
- تحديث إصدار مترجم ليبلويس (liblouis braille) إلى الإصدار رقم 2.1.1 ومن الجدير بالذكر أن هذا التحديث يساهم في معالجة بعض الأمور المتعلقة بالخط البارز الصيني إضافة إلى الأحرف الغير متعارف عليها في جدول الترجمة
-


== الإصلاحات ==
- في برنامج µTorrent لم يعد البرنامج يخبرك بشكل متكرر بالعنصر النشط بقائمة التورانت أو نقل التحديد الحالي  عند فتح أحد القوائم
- في برنامج µTorrent  سيتم الآن الإعلان عن أسماء الملفات الموجودة بقائمة محتويات التورانت
- في تطبيقات موزيلا يتم الإعلان الآن  بشكل صحيح عن التحديد الحالي عند  التحرك على جدول فارغ أو شجرة 
- فى تطبيقات موزيلا أصبح بإمكان البرنامج الآن  الإعلان بشكل صحيح عن حالة العناصر الموجودة داخل مربعات التحديد وذلك بنطق كلمة "غير محدد أو تم تحديده"  فى مربعات التحديد المختلفة الخاصة بتطبيقات موزيلا مثل خلايا الجدول التى تم تحديدها.
- في تطبيقات موزيلا لم يعد البرنامج يتجاهل النصوص الموجودة بمربعات الحوار الخاصة بتطبيقات أريا فأصبح البرنامج ينطق مربعات الحوار هذه عند ظهورها بشرط أن تكون مطبقة تطبيقا صحيحا. 
- أصبح بإمكان البرنامج التعرف بشكل صحيح على سمة مستويات أريا.
- في برنامج إنترنت إكسبلورَر (Internet Explorer) وتطبيقات لغة (MSHTML) الأخرى أصبح البرنامج يعط أفضلية للمعلومات الواردة من أريا مما يجعل التعامل مع هذه التطبيقات أفضل للمستخدم وقارئ الشاشة على حد سواء. 
- تمت معالجة مشكلة التوقف الذي كان نادرا ما يصيب البرنامج عند التنقل بين الإطارات والإطارات الداخلية. 
- في مستندات ميكروسوفت وورد (Microsoft Word) أصبح بإمكان البرنامج قراءة الأسطر المكتوبة من اليمين إلى اليسار كالنصوص العربية بشكل صحيح كما كان من قبل. 
- تضاءلت إلى حد كبير مشكلة التأخر التي كانت تصيب البرنامج عندما يكون كم كبير من النصوص معروضا في نافذة سطر أوامر ويندوز وتطبيقاته (console command) بنظام ويندوز من طراز (64 bit) 
- إذا تم تشغيل برنامج skype أثناء عمل NVDA فلم تعد هناك ضرورة لإعادة تشغيل skype لتفعيل التوافقية (accessibility) وهذا التعديل يصلح أيضا في التطبيقات الأخرى التي تقوم بفحص ما إذا كانت توجد برامج قراءة شاشة عاملة
- في تطبيقات ميكروسوفت المكتبية،  لم يعد البرنامج يتوقف عن العمل عند قراءة النافذة المرئية بالضغط على (NVDA+b) أو عند التنقل بين بعض الكائنات الموجودة  بأشرطة الأدوات. 
- إصلاح قراءة الأرقام التي تحتوي على 0 بعد فاصل وذلك مثل 1,023
- لم يعد يتوقف كل من برنامج أدوبي أكروبات  (Adobe Acrobat Pro ) وبرنامج ريدر 9 (reader 9) عند إغلاق ملف أو إجراء أية مهام أخرى
- أصبح من الممكن الآن الإعلان عن النص المحدد عند ضغط مفتاح التحكم + حرف A لتحديد الكل في بعض تطبيقات تحرير النصوص كما في ميكروسوفت وورد(microsoft word)
- القضاء على مشكلة التحديد الخاطئ للنصوص في تطبيقات Scintilla  (على سبيل المثال notepad ++) عند تحريك NVDA لمؤشر التحرير وذلك مثلا أثناء قراءة الكل (say all)
- استرجاع إمكانية مراجعة محتوى الخلايا بميكروسوفت إكسل (microsoft excel) عن طريق مؤشر الاستعراض 
- استرجاع إمكانية القراءة بالسطر في برنامج NVDA في بعض الحقول النصية المعقدة ببرنامج إنترنت إكسبلورر 8(Internet Explorer 8)
- لم يعد يتم الخروج من برنامج ويندوز ليف ماسنجر 2009 (windows live messenger 2009) مباشرة عند تشغيله أثناء تشغيل NVDA
- في متصفحات الإنترنت لم تعد هناك حاجة إلى ضغط مفتاح الانتقال (tab) للتفاعل مع أي كائن مدرج (مثل محتوى فلاش) بعد ضغط مفتاح الإدخال على الكائن المدرج أو العودة من تطبيق آخر
- في تطبيقات Scintilla  (مثل notepad++)  لم يعد يتم قَطْع بدايات الأسطر الطويلة عند تمريرها على الشاشة كما أنه سيتم عرض هذه الأسطر الطويلة بشكل صحيح على شاشة السطر الإلكتروني عند تحديدها 
- أصبح من الممكن الآن الوصول إلى قائمة جهات الاتصال ببرنامج loudtalks
- لم يعد يتم الإعلان في بعض الأحيان بشكل خاطئ عن عنوان صفحة  الإنترنت و "MSAAHTML Registered Handler"  في كل من إنترنت إكسبلورر وتطبيقات MSHTML  الأخرى
- في الأشكال الشجرية لتطبيقات Eclipse IDE لم يعد يتم الإعلان بطريقة خاطئة عن العناصر التي كان قد تم تحديدها من قبل إذا انتقل المؤشر إلى عنصر جديد
- يعمل Nvda الآن بشكل صحيح على نظام تمت به إزالة المجلد الحالي العامل من مسار بحث DLL )بتغيير مدخل التسجيل الخاص ب CWDIllegalInDllSearch  إلى 0xFFFFFFFF(. يرجى ملاحظة إن ذلك لا يتعلق بمعظم المستخدمين
- عند استخدام مفاتيح الحركة بالجدول خارج جدول بميكروسوفت وورد فإنه لم تعد تنطق عبارة "حافة الجدول" بعد عبارة "لست في جدول"
- عند عدم القدرة على تحريك مفاتيح الحركة بالجدول بسبب وجودك في حافة جدول بميكروسوفت وورد فإن عبارة "حافة الجدول" سيتم الإعلان عنها باللغة المعدة للاستخدام مع NVDA وليست باللغة الإنجليزية
- سيتم الآن الإعلان عن حالة مربعات التحديد في قائمة قواعد الرسالة بكل من أوتلوك إكسبرس وويندوز مايل وويندوز ليف مايل 
- يمكن الآن قراءة وصف قواعد الرسالة ببرنامج ويندوز ليف مايل 2010
-


= الإصدار 2010.1 =

تم تخصيص هذه النسخة الجديدة من البرنامج فى المقام الأول لمعالجة الأخطاء البرمجية وتحسين خبرات المستخدم فى التعامل مع البرنامج، ويشمل ذلك القيام  ببعض الإصلاحات الهامة والتى تهدف إلى استقرار عمل البرنامج 

== المستجدات ==
- لم يعد البرنامج يخفق في بدأ التحميل عند تثبيته على نظام لا يحتوي على مخرج 
صوت, بل في هذه الحالة سيستخدم آلة دعم الخط البارز إن وجدت أو سيتم تشغيله في 
وضع الصمت بالتزامن مع آلة عارض النطق لحين تثبيت تعريف كرت الصوت أو أي مخرج 
صوت آخر
- تم إضافة مربع تحديد للإعلان عن علامات آريا (aria landmarks) والذي يمكن 
البرنامج من الإعلان عن علامات آريا داخل صفحات الإنترنت وللتوافق مع الإصدار 
السابق فإن المربع قد تم تحديده بشكل افتراضى
- إذا تم تشغيل خاصية نطق اختصارات لوحة المفاتيح, فإن البرنامج الآن يقوم 
بالإعلان عن مفاتيح الوسائط المتعددة (multimedia keys) مثل الإعلان عن مفاتيح 
التشغيل والإيقاف والصفحة الرئيسية إلخ بالضغط عليهم وذلك في معظم لوحات المفاتيح
- أصبح بإمكان البرنامج الإعلان عن الكلمات التي يتم حذفها عند الضغط على مفتاحي التحكم والتراجع وذلك 
 في التطبيقات التي تدعم هذا الاختصار.
- إمكانية استخدام الأسهم للتجول وقراءة النصوص داخل نافذة Webformator. وهو 
برنامج يعرض صفحة الإنترنت على هيئة نص في نافذة منفصلة
- دعم قائمة المدخلات في دفتر العناوين بميكروسوفت أوفيس أوتلوك.
- دعم أفضل للحقول المدرجة في الوثائق المكتوبة عن طريق ميكروسوفت HTML في 
إنترنت إكسبلورر
- عمل ملحق برمجي جديد يسمح بتحريك مؤشر الحاسوب إلى الكائن الحالي وذلك بالضغط 
على مفتاح NVDA زائد مفتاح التبديل زائد علامة الطرح في اللوحة الرقمية.
- عمل ملاحق برمجية جديدة لتثبيت أو تحرير أزرار الفأرة الأيمن والأيسر مما 
يفيد في عمليات السَحب والإفلات وذلك بالضغط على مفتاح التبديل زائد علامة 
القسمة في اللوحة الرقمية للانتقال بين تثبيت أو تحرير زر الفأرة الأيسر ومفتاح 
التبديل زائد علامة الضرب في اللوحة الرقمية للانتقال بين تثبيت أو تحرير زر 
الفأرة الأيمن
- إضافة فهارس ترجمة جديدة إلى قائمة فهارس ترجمة الخط البارز (برايل)وهي: 
ألماني حاسوب برايل 8 نقاط وألماني باختصارات وفنلندي حاسوب بريل 8 نقاط وصيني 
(هونجكونج الكنتونية) وصيني (تيوان ماندرين)
- الآن أصبح بإمكانك تعطيل عمل الأيقونة الخاصة بالبرنامج على سطح المكتب وبالتالى مفتاح الاختصار الخاص بفتحه أثناء القيام  بتثبيت البرنامج.
- يمكن للبرنامج الآن استخدام IAccessible2  عند وجودها في تطبيقات من طراز 64 بيت
- دعم أفضل للمناطق الحية (live regions)  كشريط الأخبار في تطبيقات موزيلا
- تم تزويد البرنامج بأداة التحكم API والتي تمكن مستخدمي البرنامج ومطوريه من 
عمل ملاحق برمجية لتسهيل التحكم في برنامج NVDA فمثلا نطق نص معين أو 
الصمت أو عرض رسالة على آلة عرض الخط البارز وهكذا
- يمكن للبرنامج الآن قراءة الرسائل التوضيحية ورسائل الخطأ عند شاشة 
الدخول لويندوز وذلك في وندوز فِستا وويندوز 7 مثل قراءة رسالة تفيد بعدم صحة 
كلمة المرور
- دعم الاستمارات المكتوبة في أدوبي ريدر والتي تم تطويرها باستخدام برنامج 
Adobe LiveCycle 
- يمكن للبرنامج الآن قراءة الرسائل فور وصولها في نافذة المحادثة لبرنامج 
ميراندا وذلك بتشغيل خاصية الإعلان عن التغيرات الخاصة بالمحتويات المتحركة والتي يتم تفعيلها 
بالضغط على مفتاح NVDA زائد رقم 5 في الصف العلوي كما تم إضافة مفتاح 
اختصار لقراءة أحدث ثلاث رسائل وذلك بالضغط على مفتاح البرنامج زائد مفتاح 
التحكم زائد رقم الرسالة
- دعم حقول إدخال النصوص في محتوى أدوبي فلاش


== التعديلات. ==

- لم يعد البرنامج يعلن عن الرسالة الإضافية لمساعد لوحة المفاتيح بقائمة 
ابدأ في ويندوز 7
- تم إحلال آلة النطق الاعتبارية بخيار عارض النطق الجديد والذي يتم تشغيله 
بالتزامن مع أي آلة نطق مستخدمة كي يسمع الشخص ما يقوله قارئ الشاشة ويقرأه 
في نفس الوقت. ويمكن تشغيل هذا الخيار من قائمة أدوات.
- في آلات عرض الخط البارز سيتم إزالة الرسائل بشكل تلقائي إذا ما قام المستخدم 
بالضغط على أي من المفاتيح التي تحدث تغيير مثلا تغيير التحديد الحالي حيث 
كانت الرسالة من قبل تظل معروضة طيلة الوقت المحدد لها.
- أصبح من الممكن ضبط الإعداد الخاص بتحويل مؤشر البرايل كي يتبع مؤشر 
الاستعراض أو مؤشر التحديد الحالي من خلال محاورة إعدادات الخط البارز. كما 
أصبح من الممكن حفظه في إعدادات المستخدم.
- تم تحديث إصدار آلة النطق مفتوحة المصدر (espeak)  إلى الإصدار رقم  1.43.03.
- تحديث إصدار liblouis لتحويل البرايل إلى الإصدار رقم 1.8.0.
- تحسن الإعلان عن العناصر عند الحركة داخل الذاكرة التخيلية بالأحرف أو الكلمات 
شأنها في ذلك شأن الحركة بالسطر حيث كان من قبل يتم الإعلان عن معلومات لا تتفق 
مع ما يجب الإعلان عنه
- أصبح مفتاح التحكم يستخدم الآن لتوقف النطق نهائيا  مثل المفاتيح الأخرى وليس 
للتوقف المؤقت أما إذا أردنا أن نوقف النطق توقف مؤقت ثم نعيد استإنافه مرة أخرى 
فإننا نضغط مفتاح التبديل
- لم يعد يتم الإعلان عن أرقام أعمدة وصفوف الجدول عند الانتقال بينهم حيث أن 
هذا الأمر يعد إطناب وغير مفيد


== الإصلاحات. ==

- لم يعد البرنامج يخفق في بدأ تشغيله على نظام يحتوي على UI Automation ولكنه 
يفشل في البدأ لسبب أو لآخر.
- لم يعد يتم الإعلان في بعض الأحيان عن جميع محتوى الصف في جدول بمجرد 
تغيير الخلية في تطبيقات موزيلا
- لم يعد البرنامج يتباطأ في الاستجابة عند توسيع عنصر شجري يندرج تحته كمية 
كبيرة من العناصر الفرعية.
- عند عمل قائمة بأصوات سابي 5, فإن البرنامج الآن يحاول التعرف على الأصوات 
التي بها خطأ ويتم استبعادها من محاورة إعدادات آلة النطق كما يتم استبعادها 
أيضا من دائرة إعدادات آلة النطق. حيث كان البرنامج من قبل يخفق في بدأ تشغيل 
تعريف سابي 5 عند وجود صوت به خطأ
- أصبح من الممكن الآن تعطيل الإعلان عن مفاتيح الاختصار بالذاكرات التخيلية 
حيث أصبح إعداد الإعلان عن مفاتيح الاختصار والموجود بإعدادات عرض الكائن 
منوط بتنفيذ هذا الأمر
- أصبح من الممكن قراءة مراجع خلايا الصفوف أو الأعمدة بشكل صحيح في الذاكرة 
التخيلية عند تعطيل خاصية الإعلان عن الجداول
- يتم الآن قراءة مراجع خلايا الإعمدة أو الصفوف بشكل صحيح في الذاكرات 
التخيلية عند مغادرة الجدول ثم إعادة دخول نفس الخلية في نفس الجدول مرة 
أخرى دون الحاجة إلى زيارة خلية أخرى أولا. فعلى سبيل المثال ضغط السهم 
الإعلى ثم السهم الأسفل في أول خلية في جدول ما
- أصبح من الممكن لمستخدمي آلات عرض الخط البارز رؤية السطور الفارغة في  كل من 
وثائق ميكروسوفت وورد ووثائق تحرير ميكروسوفت html حيث كان البرنامج يعرض من 
قبل الجملة الحالية وليس السطر الحالي في مثل هذه الأحوال.
- تم عمل إصلاحات متعددة عند تشغيل البرنامج في شاشة الدخول لوندوز وعند تشغيله 
على أسطح مكاتب آمنة أخرى.
- سيقوم البرنامج الآن بتحديث مؤشر القراءة بشكل صحيح عند تشغيل خاصية قراءة 
الكل في كل من النوافذ المتعارف عليها ومربعات التحرير ووثائق ميكروسوفت وورد.
- لم تعد تشتمل الصور داخل الروابط ولا العناصر التي يمكن النقر عليها والتي يتم 
التعرف على أنها ليست ذات صلة ببرامج قراءة الشاشة في الذاكرات التخيلية على 
نصوص  كان يتم وضعها بشكل خاطئ
- إصلاحات في نمط لوحة مفاتيح الحاسوب المحمول
- إذا تم تحويل مؤشر البرايل كي يتبع مؤشر الاستعراض في نافذة الأوامر النصية 
فإن مؤشر الاستعراض الآن يمكنه الحركة داخل النص الموجود في هذه النافذة بطريقة صحيحة
- عمل تحسينات في الإصدار الثالث والرابع من برنامج teamtalk حيث لم يعد يتم 
الإعلان عن التغير في الشريط التقدمي للتحكم في الصوت داخل نافذة 
البرنامج الرئيسية كما سيتم قراءة حروف خاصة بشكل صحيح في نافذة المحادثة
- لم يعد يتم الإعلان عن العناصر الموجودة بقائمة ابدأ مرتين بويندوز 7
- عند تفعيل روابط إلى نفس الصفحة (same-page links)  في الإصدار 3.6 لبرنامج 
فيرفوكس فإن المؤشر في الذاكرة التخيلية سيتحرك صوب المكان الصحيح في الصفحة
- إمكانية قراءة نصوص كان لا يمكن قراءتها من قبل في وثائق بصيغة pdf
- سيقوم البرنامج الآن بقراءة الأرقام التي تفصل بينها شَرْطَة بشكل صحيح فعلى 
سبيل المثال إذا كتبنا "500-1000" كانت تقرأ "500 10 00"
- في نظام التشغيل ويندوز XP لم يعد البرنامج يتسبب في تعطيل المتصفح 
إنترنت إكسبلورر عند الضغط على مربع التحديد الخاص بتحديث الويندوز
- عند استخدام آلة النطق الافتراضية للبرنامج espeak لم يعد يسبب الصفير 
والنطق المتتابع تجميد في بعض الأنظمة حيث كان يلاحظ ذلك على سبيل المثال 
عند نسخ كمية كبيرة من البيانات في مستكشف ويندوز
- لم يعد البرنامج يعلن عن أن صفحة الفيرفوكس قد أصبحت مشغولة (بسبب 
التحديث أو التنشيط) عند وجود هذه الصفحة في الخلفية حيث كان يتسبب ذلك في 
أن يعلن البرنامج بشكل خاطئ عن شريط الحالة للتطبيق الحالي
- عند التنقل بين لغات لوحة المفاتيح سواء بضغط مفتاح التحكم زائد مفتاح 
التبديل أو بضغط مفتاح القوائم زائد مفتاح التبديل فإنه سيتم الإعلان عن 
الاسم الكامل للغة في كل من الخط البارز والنطق فمن قبل كان يتم الإعلان 
عنها في حالة النطق فقط وكان لا يعلن البرنامج عن اللغات البديلة إطلاقا
- إذا تم تعطيل خاصية الإعلان عن الجداول فإن البرنامج لم يعد يعلن عن 
معلومات الجدول عند تغيير التحديد الحالي
- إمكانية قراءة عناصر أشكال شجرية كان لا يمكن قراءتها من قبل في تطبيقات 
من طراز 64 بيت مثل شجرة المحتويات في مساعد ميكروسوفت html
- معالجة بعض المشكلات التي تتعلق بملف التقارير الخاص بالبرنامج في أنظمة 
التشغيل التي ليست باللغة الإنجليزية
- الآن ستظهر المعلومات التي توجد في محاورة نبذة عن البرنامج بلغة 
المستخدم وليس باللغة الإنجليزية
- لم تعد تواجه المستخدم أية مشاكل عند تعديل إعداد معين في أحد الأصوات مع 
عدم توافره في صوت آخر
- سيقوم البرنامج الآن باسترجاع كل ذاكرة الحاسوب إلى النظام بعد الانتهاء 
من استخدامها في الذاكرة التخيلية وواجهة المستخدم
- لم يعد يتم تكرار الأسماء الموجودة بقائمة جهة الاتصال في إسكايب 4.2
- العمل على إصلاح خطأ مُلِحّ في بعض آلات النطق المدرجة ضن سابي 4 والذي كان 
يتسبب في أخطاء متكررة وتوقف للبرنامج.



= للإصدار 2009.1 =

تشمل التجديدات الرئيسية للبرنامج في هذا الإصدار دعم أنظمة ويندوز من طراز 
64-بيت، وتحسين دعم العمل مع كل من برنامج إنترنت إكسيبلورار وأدوبي، ودعم 
ويندوز 7، وإمكانية قراءة شاشة الولوج التي يتم تفعيلها من خلال الضغط على 
مفتاح التحكم ومفتاح القوائم ومفتاح الحذف مجتمعة، وقراءة شاشات التحكم في 
حسابات المستخدمين (UAC) علاوة على القدرة على التعامل مع المحتوى التفاعلي 
على الإنترنت الذي يستخدم أدوبي فلاش ومحتوى جافا التفاعلي، ولا تخلو 
تحسينات البرنامج من إضافات وتعديلات جذرية تضيف إلى خبرات مستخدمي 
البرنامج.

== المستجدات ==

- الدعم الرسمي لأنظمة ويندوز من طراز 64-بيت.
- إضافة تعريف لآلة النطق نيوفون، مع ملاحظة أن ذلك يتطلب إصدار  بعينه 
لتشغيل آلة النطق المذكورة.
- إشعار المستخدم اختياريا، عند التعامل مع الذاكرة التخيلية، بالتحويل من 
بيئة التصفح إلى بيئة الاستمارات بالصوت بدلا من النطق، وصارت هذه خاصية 
افتراضية في البرنامج ويمكن تعديلها من خلال الصندوق الحواري الخاص بضبط 
إعدادات الذاكرة التخيلية.
- أصبح البرنامج يحافظ على النطق الصوتي عند استعمال مفاتيح التحكم في 
مستوى الصوت، مما يسمح للمستخدم بتغيير مستوى الصوت والتعرف الفوري على 
نتيجته.
- إعادة كتابة شفرات برمجية جديدة تماما لدعم إنترنت إكسيبلورار وقارئ 
أدوبي، فقد تم توحيد الشفرات البرمجية بين البرامج المذكورة وبرنامج موزيلا 
جيكو، لهذا صارت العديد من الخصائص متوفرة بهذه البرامج، مثل: سرعة التعرف 
على الصفحات، والتحرك السريع الدقيق بين عناصر الصفحات، وقائمة الروابط، 
وتحديد النص، والعمل التلقائي لبيئة الاستمارات، ودعم الخط البارز (برايل).
- تحسين أداء عمل كائن تحديد التاريخ الموجود في الصندوق الحواري الخاص 
بخصائص الوقت والتاريخ في ويندوز فييستا.
- تحسين أداء التعامل مع قائمة (ابدأ) المستحدثة في ويندوز إكسيبي وويندوز 
فييستا (خاصة فيما يتعلق بعنصر كافة البرامج)، إذ يتم الإعلان بدقة عن 
المستوى الحالي للعناصر.
- إمكانية تحديد الكُتلة النصية المنطوقة عند تحريك مؤشر الفأرة، وذلك من 
خلال الصندوق الحواري الخاص بإعدادات الفأرة، إذ يمكن الاختيار ما بين 
العناصر: حرفاً حرفا أو كلمةً كلمة أو سطراً سطرا أو فقرةً فقرة.
- نطق الكلمات خاطئة الهجاء التي تقع تحت المؤشر في مايكروسوفت وورد.
- دعم المدقق الإملائي لمايكروسوفت وورد، الإصدار 2007، ودعم المدقق 
الإملائي جزئيا في الإصدارات السابقة عليه.
- تحسين أداء التعامل مع ويندوز لايفمايل، فصار من الممكن نطق الرسائل 
النصية والتعامل مع كل من محرر الرسائل النصية ومؤلِّف (HTML).
- أصبح البرنامج قادرا على الإعلان عن الانتقال لسطح مكتب آمن، عند ظهور 
رسائل كائن حساب المستخدم، أو الضغط على مفتاح التحكم ومفتاح القوائم 
ومفتاح الحذف مجتمعة، في ويندوز فييستا.
- قدرة البرنامج على الإعلان عن النص الواقع تحت مؤشر الفأرة أثناء التحرك 
داخل نافذة دوس الملحقة بويندوز.
- القدرة على التعامل مع (UI Automation) عبر محركها المدرج كمورد برمجي في 
ويندوز 7، إلى جانب إجراء بعض التحسينات التي تظهر للمستخدم عند التعامل مع 
ويندوز 7.
- صار من الممكن ضبط البرنامج للعمل بعد الولوج إلى ويندوز، وهو اختيار 
جديد يمكن التعامل معه من خلال خيار الإعدادات العامة للبرنامج.
- أصبح من الممكن للبرنامج نطق النوافذ الآمنة لويندوز مثل نافذة الولوج 
لويندوز التي يتم تشغيلها بالضغط على مفتاح التحكم ومفتاح القوائم ومفتاح 
الحذف، أو نافذة كائن حسابات المستخدمين (UAC)، وهذا بدأً من ويندوز إكسيبي 
وما يليها من إصدارات، ويمكن ضبط هذا الاختيار من الإعدادات العامة 
للبرنامج كذلك.
- إضافة تعريف الأسطر الإلكترونية من عائلة أوبتيليك آلفا بيسي 6 (Optelec 
ALVA BC6).
- عند تصفح الإنترنت، يمكن الآن الضغط على حرف (N) للوثب إلى أقرب نص غير 
رابطي تالي، ومفتاح الاختصار (shift + N) للوثب بشكل عكسي لأقرب نص غير 
رابطي سابق.
- وعند تصفح الإنترنت أيضا، يقوم البرنامج الإعلان عن ساحات آريا (aria 
landmarks)، كما يمكنك الوثب إلى أقرب ساحة آريا تالية باستخدام حرف (D) 
كما يمكن أيضا الوثب إلى أقرب ساحة آريا سابقة بالضغط على (shift + D).
- وبشأن تصفح الإنترنت أيضا، تم استبدال قائمة الروابط بقائمة عناصر تشتمل 
على الروابط ورؤوس الموضوعات وساحات آريا، على أن رؤوس الموضوعات والساحات 
تظهر في شكل تسلسلي.
- وتشتمل القائمة الجديدة للعاناصر على حقل تنقيح يسمح للمستخدم كتابة نص 
معين، ومن ثم عرض العناصر التي تحتوي على هذا النص فقط.
- تتحرى النسخة المحمولة من برنامج NVDA عن الإعدادات الخاصة 
بالمستخدم في مجلد الإعدادات المخصص لها (userConfig) بداخل المجلد الرئيسي 
للبرنامج، بخلاف النسخة التي تحتوي على المثبت الآلي التي تضع هذا المجلد 
في موضع منفصل على حاسوبك، على أن يتم حفظ وحدات الإعدادات التخصيصية 
للبرامج المختلفة وتعريفات الأسطر الإلكترونية وتعريفات آلات النطق في هذا 
المجلد.
- يتم تجهيز الصفحات في الذاكرة التخيلية في خلفية عمل نظام التشغيل مما 
يسمح للمستخدم التعامل مع نظام التشغيل إلى أن يتم تجهيزها، ويتم إشعار 
المستخدم بهذه العملية إن تخطى تجهيز الذاكرة التخيلية ثانية واحدة.
- إن أدرك البرنامج أنه قد تجمد عمله لبعض الوقت، فإنه يقوم بتمرير كافة 
مفاتيح الاختصار من خلاله إلى نظام التشغيل مما يسهل على المستخدم التعامل 
مع نظام التشغيل لحين إعادة التشغيل.
- دعم سحب وإسقاط ساحات آريا في موزيلا جيكو.
- عند تحريك المؤشر في الذاكرة التخيلية، يقوم البرنامج بنطق العنوان إلى 
جانب نطق النص المحدد، مما يجعل تحرك المؤشر إلى الذاكرة التخيلية أكثر 
ثباتا عند التعامل مع الكائنات العادية للمستند الحالي.
- في الذاكرات التخيلية، صار بإمكانك التعامل مع محتوى تفاعلي بتقنيات مثل 
أدوبي فلاش، أو سانجافا بمجرد الضغط على مفتاح الإدخال للتفاعل معها فإن 
كانت توافقية يمكنك استخدام مفتاح الانتقال (tab) للتنقل فيما بين عناصرها، 
مثلها في ذلك مثل أي تطبيق آخر، كما يمكنك العودة إلى صفحة الإنترنت مرة 
أخرى بالضغط على مفتاح NVDA + مسطرة المسافة.
- وأخيرا وليس آخرا، يمكن الوثب إلى الكائن المدرج التالي بالضغط على حرف 
(O) كما يمكن الوثب العكسي إلى الكائن المدرج السابق بالضغط على مفتاح 
الاختصار (shift + O).
- صار بإمكان برنامج NVDA التواصل مع البرامج التي يتم تشغيلها 
بسماحات إدارية في ويندوز فييستا وما بعدها، وذلك يتطلب تثبيت الإصدار 
المعتمد من البرنامج، فهذه الخاصية لن تعمل في النسخ المحمولة أو النسخ 
التجريبية له.


== التعديلات ==

- لم يعد NVDA يردد العبارة "بدء عمل NVDA" عند بداية تشغيله.
- يتم عرض أصوات تشغيل وتعطيل برنامج NVDA باستخدام المخرج الصوتي 
الخاص المُعد للبرنامج بدلا من عرضه من خلال المخرج الصوتي الافتراضي 
للويندوز.
- تحسين أداء الإعلان عن الأشرطة التقدمية بالنطق أو الصفير أو بكليهما 
معا.
- لم يعد البرنامج ينطق بعض أنواع الكائنات المتغيرة مثل الصحيفة (pane)، 
والتطبيق (application)، والإطار (frame) عند تحريك المؤشر صوبها إلا إن 
كانت غير محددة التسمية.
- صار الأمر الخاص بالنسخ في مؤشر الاستعراض، والذي يتم تشغيله بالضغط على 
(مفتاح NVDA + f10)، يشمل نسخ الجزء المحدد بدأً من العلامة المرجعية 
إلى نهاية الموضع الحالي للمؤشر بدلا من إقصاء الموضع الحالي عن النسخ ونسخ 
ما قبله، الأمر الذي يسمح للبرنامج بنسخ آخر حرف يقف عنده المؤشر بدلا من 
إقصائه.
- تم إزالة خاصية التعرف على الموضع الحالي للكائن التي كانت متصلة بمفتاح 
الاختصار (مفتاح التحكم + مفتاح NVDA + رقم 5 في اللوحة الرقمية)، 
وهذا لإخفاق عمم هذا الاختصار مع بعض لوحات المفاتيح المشهورة ولثبوت عدم 
الاستفادة الفعلية من هذه الخاصية.
- وتم تعديل مفتاح الاختصار المتصل بخاصية نطق الأبعاد الحالية للكائن إلى 
(مفتاح NVDA + مفتاح الحذف في اللوحة الرقمية) ذلك لأن مفتاح الاختصار 
المستبدل لم يكن ليعمل مع بعض أنواع لوحات المفاتيح المشهورة. كما صارت هذه 
الخاصية تسمح بنطق طول الكائن وعرضه بدلا من نطق حدود الكائن السفلية 
واليمنى فقط.
- تحسين أداء البرنامج (خاصةً مع الأسطر الإلكترونية) عند إصدار صفارات 
سريعة متعاقبة من البرنامج، ومثالها يحدث عند تحريك مؤشر الفأرة بسرعة 
أثناء تشغيل خاصية الإعلان عن موضع مؤشر الفأرة بالصفير.
- الكف عن إصدار صوت مصاحب للخلل الذي قد يحدث في الإصدارات التجريبية 
والإصدارات النهائية للبرنامج، والاحتفاظ بحفظ تقارير الخلل فحسب.


== الإصلاحات ==

- عند تشغيل NVDA من مسار دوس مكون مما لا يزيد عن 8 أحرف وامتداد لا 
يزيد عن 3 إضافية، كأن يكون المسار (progra~1) بدلا من ("program files")، 
أصبح البرنامج قادرا على تحديد مساره البديل واستدعاء إعدادات المستخدم ومن 
ثم العمل بنجاح.
- تم تهيئة مفتاح الاختصار (NVDA + حرف T) للعمل بشكل أفضل عند نطق 
العنوان خاصة في القوائم.
- لم يعد الخط البارز (برايل) يظهر معلومات مشوشة عند التعرض لسياقات غير 
مسماة مثل الصحائف (panes) التي لا تخضع لتسميات محددة.
- الكف عن نطق معلومات غير مفيدة عند تغير التحديد الحالي في الصحائف 
الأصلية والطبقية والتمريرية في برامج جافا ولوتَس.
- ضبط مربع التحرير الخاص بالبحث عن الكلمات الدالة في برنامج عرض ملفات 
(CHM) بصورة افضل من سابقتها، ونظرا لوجود خلل برمجي في هذا الحقل فإن 
البرنامج لا يكاد يقرأ الكلمات التي تظهر في نتائج البحث لأنها تتغير 
باستمرار.
- نطق ترقيم الصفحات في مايكروسوفت وورد بدقة ما إذا تم إضافة ترقيم 
لصفحات 
مستند بعينه.
- تحسين أداء المربعات التحريرية في صناديق الحوار الموجودة في مايكروسوفت 
وورد، مثل مربعات تحرير الصندوق الحواري الخاص بالخط، إذ أصبح من الممكن 
استعراض محتوى هذه الحقول باستخدام مفاتيح الأسهم.
- تحسين مستوى قراءة البرنامج في نوافذ دوس الملحقة بنظام التشغيل ويندوز، 
كأن صار البرنامج لا يعتبر بعض أجزاء هذه النافذة فارغة تماما بل يقرأ ما 
بها من نصوص، كما تم ضبط البرنامج بحيث لا يتم كفه عن العمل عند الضغط على 
مفتاح التحكم ومفتاح الإيقاف (control+break).
- بدأً من ويندوز فييستا وما يليها من إصدارات، يقوم المثبت الآلي للبرنامج 
بتشغيل النسخة التي تم تثبيتها عند الضغط على زر (إنهاء) بسماحات المستخدم 
العادية.
- ضبط قراءة الأحرف التي يقوم مفتاح التراجع (Backspace) بحذفها.
- الكف عن نطق عبارة (قائمة ابدأ) عند فتح بعض قوائم متصفح ويندوز.
- صار بإمكان البرنامج التعامل مع تسميات آريا في موزيلا جيكو عند 
الافتقار 
لأي محتوى مفهوم آخر.
- لم يعُد البرنامج يستدعِي بيئة الاستمارات تلقائيا بطريق الخطأ عند عثوره 
على حقول تحرير من شأنها ترقية المحتوى الموجود بها كلما تغير التحديد 
الحالي، ومثال ذلك موقع [[http://tigerDirect.com/ | تايجار دايريكت]]
- أصبح البرنامج قادرا على استعادة نشاطه في بعض المواقف التي كانت في 
الماضي تتسبب في تعطيله فجائيا، فلا يستغرق البرنامج أكثر من عشر ثوانٍ 
ليدرك ما به من عطب واسترجاع نطقه.
- عند ضبط لغة البرنامج على استقاء لغته من اللغة الافتراضية للمستخدم، 
صار 
البرنامج يستقي لغته من واقع ضبط لغة ويندوز الافتراضية بدلا من الاستعانة 
باللغة المحلية كما كان في السابق.
- صار البرنامج يتعرف على الكائنات بسهولة في برنامج إيم (الإصدار السابع).
- لم يعُد البرنامج يتعطل عند تمرير أحد مفاتيح الاختصارات والاستمرار في 
الضغط على أي من مفاتيح الوظائف لمدة غير معتادة، ففي السابق كان البرنامج 
يتوقف عن استقبال المزيد من مفاتيح الاختصارات إلا بعد إجراء إعادة تشغيل 
له.
- لم يعُد البرنامج يتجاهل شريط المهام عند الوصول إليه خاصة بعد الخروج من 
برنامج آخر، ففي السابق كان البرنامج يتصرف وكأن التحديد الحالي لم يتغير 
أساسا.
- عند تعامل البرنامج مع الحقول التحريرية لبرامج تستعمل جسر جافا 
التوافقي 
(Java Access Bridge) بما في ذلك (Open Office.org)، صار البرنامج يتصرف 
بشكل طبيعي عند تشغيل نطق ترقيم الأسطر.
- صار الأمر الخاص بالنسخ في مؤشر الاستعراض، والذي يتم تشغيله بالضغط على 
(مفتاح NVDA + f10)، يتعرف على بعض الحالات التي يتم فيها استعماله 
عند نقطة بدء تسبق العلامة المرجعية، مما كان يتسبب في إخفاقات استخدامية 
لبعض البرامج مثل مفكرة ويندوز (notepad).
- لم تعُد الكُتلة الحرفية (0x1) تتسبب في تصرّف آلة النطق إيسبيك بصورة 
غريبة، كأن يغير مستوى ارتفاع صوته أو حِدته عند العثور على هذه الكُتلة 
الحرفية في أي نص.
- أصبح الأمر الخاص بنطق التحديد الحالي، والذي يتم استدعاؤه بالضغط على 
(تبديل + مفتاح NVDA + سهم لأعلى)، قادرا على إدراك طبيعة الكائنات 
التي لا يمكن تحديدها، ومن ثم نطق ذلك.
- إصلاح التلف البرمجي الذي كان يتسبب في تجميد عمل البرنامج عند الضغط على 
بعض أزرار أو روابط برنامج ميراندا للمحادثات الفورية.
- مراعاة نص السطر الحالي أو التحديد الحالي عند هجاء الكائن الحالي أو 
نسخه.
- العمل على إصلاح مشكلة في ملفات التعامل مع ويندوز كانت تتسبب في نطق 
تشويشي يحدث بعد نطق كائنات الروابط في محاورات كل من متصفح ويندوز ومتصفح 
الإنترنت (إنترنت إكسيبلورار).
- إصلاح خلل برمجي في الأمر الخاص بنطق الوقت والتاريخ المرتبط بمفتاح 
الاختصار (مفتاح NVDA + F12)، بعد أن كان نطق التاريخ يتسبب في خلل 
عام في بعض أنظمة ويندوز.
- إصلاح الخلل البرمجي الذي كان يتسبب في الحذف العشوائي لمحتويات راية 
قارئ الشاشة الخاصة بالنظام بعد التعامل مع الشاشات الآمنة في ويندوز، مما 
كان يؤثر سلبا على التعامل مع البرامج التي تحتاج لهذه الراية مثل سكايب 
وأدوبي ريدار وجارت.
- عند الانتقال من عنصر لآخر في صندوق الاختيار، صار البرنامج قادرا على 
قراءة العنصر الجديد في إنترنت إكسيبلورار 6.


